package com.ruoyi.common.constant;

/**
 * 通用常量信息
 * 
 * @author ruoyi
 */
public class Constants
{
    /**
     * UTF-8 字符集
     */
    public static final String UTF8 = "UTF-8";

    /**
     * GBK 字符集
     */
    public static final String GBK = "GBK";

    /**
     * http请求
     */
    public static final String HTTP = "http://";

    /**
     * https请求
     */
    public static final String HTTPS = "https://";

    /**
     * 通用成功标识
     */
    public static final String SUCCESS = "0";

    /**
     * 通用失败标识
     */
    public static final String FAIL = "1";

    /**
     * 登录成功
     */
    public static final String LOGIN_SUCCESS = "Success";

    /**
     * 注销
     */
    public static final String LOGOUT = "Logout";

    /**
     * 注册
     */
    public static final String REGISTER = "Register";

    /**
     * 登录失败
     */
    public static final String LOGIN_FAIL = "Error";

    /**
     * 系统用户授权缓存
     */
    public static final String SYS_AUTH_CACHE = "sys-authCache";

    /**
     * 参数管理 cache name
     */
    public static final String SYS_CONFIG_CACHE = "sys-config";

    /**
     * 参数管理 cache key
     */
    public static final String SYS_CONFIG_KEY = "sys_config:";

    /**
     * 字典管理 cache name
     */
    public static final String SYS_DICT_CACHE = "sys-dict";

    /**
     * 字典管理 cache key
     */
    public static final String SYS_DICT_KEY = "sys_dict:";

    /**
     * 区域缓存 cache name
     */
    public static final String BUSINESS_REGION_CACHE="business-region";

    /**
     * 区域缓存 cache key
     */
    public static final String BUSINESS_REGION_KEY="business_region:";

    /**
     * 材料类型缓存 cache name
     */
    public static final String BUSINESS_MATERIAL_TYPE_CACHE="business-material-type";

    /**
     * 材料类型缓存 cache key
     */
    public static final String BUSINESS_MATERIAL_TYPE_KEY="business_material_type:";

    public static final String BUSINESS_DEGREE_TYPE = "business_degree_type";
    public static final String BUSINESS_MAJOR_TYPE = "business_major_type";
    public static final String BUSINESS_SCHOOL_TYPE = "business_school_type";
    public static final String BUSINESS_CHECK_STATUS = "business_check_status";
    public static final String BUSINESS_NOTICE_TYPE = "business_notice_type";
    public static final String BUSINESS_NOTICE_STATUS = "business_notice_status";
    public static final String BUSINESS_CALL_TYPE="business_call_type";
    public static final String BUSINESS_MARRIAGE_STATUS="business_marriage_status";
    public static final String BUSINESS_RELIGION_TYPE="business_religion_type";
    public static final String SYS_USER_SEX="sys_user_sex";
    public static final String SYS_YES_NO="sys_yes_no";
    public static final String BUSINESS_VISA_TYPE="business_visa_type";
    public static final String BUSINESS_EDUCATION_TYPE="business_education_type";
    public static final String BUSINESS_SCORE_TYPE="business_score_type";
    public static final String BUSINESS_GPA_TYPE="business_gpa_type";
    public static final String BUSINESS_LANGUAGE_EXAM_TYPE="business_language_exam_type";
    public static final String BUSINESS_APPLY_STATUS="business_apply_status";

    /**
     * 资源映射路径 前缀
     */
    public static final String RESOURCE_PREFIX = "/profile";
    public static final String RESOURCE_PREFIX1 = "/profile/upload";
    public static final String RESOURCE_PREFIX2 = "/profile/news";
    public static final String RESOURCE_PREFIX3 = "/profile/info";

    /**
     * RMI 远程方法调用
     */
    public static final String LOOKUP_RMI = "rmi:";

    /**
     * LDAP 远程方法调用
     */
    public static final String LOOKUP_LDAP = "ldap:";

    /**
     * LDAPS 远程方法调用
     */
    public static final String LOOKUP_LDAPS = "ldaps:";

    /**
     * 定时任务白名单配置（仅允许访问的包名，如其他需要可以自行添加）
     */
    public static final String[] JOB_WHITELIST_STR = { "com.ruoyi" };

    /**
     * 定时任务违规的字符
     */
    public static final String[] JOB_ERROR_STR = { "java.net.URL", "javax.naming.InitialContext", "org.yaml.snakeyaml",
            "org.springframework", "org.apache", "com.ruoyi.common.utils.file" };

    public static final Integer BUSINESS_APPLY_END=100;

    public static final String YES="Y";
    public static final String NO="N";

    public static final String[] BUSSINESS_UNDERGRADUATE_DEGREE={"2"};
    public static final String[] BUSSINESS_MASTER_DOCTORAL_DEGREE={"3","4","5","6","7","8"};

    public static final String AGENT_ROLE_EKY="agent";
    public static final String BOSS_NAME="boss";

    public static final String SERVERIP="http://39.105.118.63:8080";
    public static final String DOMAINNAME="https://zhishen.net/img";

    public static String[] domainNames={"fanshen.cn","www.fanshen.cn",
            "zhishen.net","www.zhishen.net",
            "ewglobal.cn","www.ewglobal.cn"};
}