package com.ruoyi.system.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 顾问变更申请对象 tb_consultant_change
 * 
 * @author ruoyi
 * @date 2023-05-25
 */
public class TbConsultantChange extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 变更申请人 */
    @Excel(name = "变更申请人")
    private Long changeProposer;
    private String changeProposerDesc;

    /** 变更人 */
    @Excel(name = "变更人")
    private Long changeUser;
    private String changeUserDesc;

    /** 原顾问 */
    @Excel(name = "原顾问")
    private Long originalConsultant;
    private String originalConsultantDesc;

    /** 原代理 */
    @Excel(name = "原代理")
    private Long originalAgent;

    /** 新顾问 */
    @Excel(name = "新顾问")
    private Long newConsultant;
    private String newConsultantDesc;

    /** 新代理 */
    @Excel(name = "新代理")
    private Long newAgent;

    /** 申请时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "申请时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date applyTime;

    /** 审批人 */
    @Excel(name = "审批人")
    private Long examineUser;
    private String examineUserDesc;

    /** 审批结果，0 未通过，1 通过 */
    @Excel(name = "审批结果，0 未通过，1 通过")
    private String examineResult;
    private String examineResultDesc;

    /** 审批内容 */
    @Excel(name = "审批内容")
    private String examineContent;

    /** 审批时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "审批时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date examineTime;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setChangeProposer(Long changeProposer)
    {
        this.changeProposer = changeProposer;
    }

    public Long getChangeProposer()
    {
        return changeProposer;
    }
    public void setChangeUser(Long changeUser)
    {
        this.changeUser = changeUser;
    }

    public Long getChangeUser()
    {
        return changeUser;
    }
    public void setOriginalConsultant(Long originalConsultant)
    {
        this.originalConsultant = originalConsultant;
    }

    public Long getOriginalConsultant()
    {
        return originalConsultant;
    }
    public void setOriginalAgent(Long originalAgent) 
    {
        this.originalAgent = originalAgent;
    }

    public Long getOriginalAgent() 
    {
        return originalAgent;
    }
    public void setNewConsultant(Long newConsultant)
    {
        this.newConsultant = newConsultant;
    }

    public Long getNewConsultant()
    {
        return newConsultant;
    }
    public void setNewAgent(Long newAgent) 
    {
        this.newAgent = newAgent;
    }

    public Long getNewAgent() 
    {
        return newAgent;
    }
    public void setApplyTime(Date applyTime) 
    {
        this.applyTime = applyTime;
    }

    public Date getApplyTime() 
    {
        return applyTime;
    }
    public void setExamineUser(Long examineUser)
    {
        this.examineUser = examineUser;
    }

    public Long getExamineUser()
    {
        return examineUser;
    }
    public void setExamineResult(String examineResult) 
    {
        this.examineResult = examineResult;
    }

    public String getExamineResult() 
    {
        return examineResult;
    }
    public void setExamineContent(String examineContent) 
    {
        this.examineContent = examineContent;
    }

    public String getExamineContent() 
    {
        return examineContent;
    }
    public void setExamineTime(Date examineTime) 
    {
        this.examineTime = examineTime;
    }

    public Date getExamineTime() 
    {
        return examineTime;
    }

    public String getExamineUserDesc() {
        return examineUserDesc;
    }

    public void setExamineUserDesc(String examineUserDesc) {
        this.examineUserDesc = examineUserDesc;
    }

    public String getExamineResultDesc() {
        return examineResultDesc;
    }

    public void setExamineResultDesc(String examineResultDesc) {
        this.examineResultDesc = examineResultDesc;
    }

    public String getChangeProposerDesc() {
        return changeProposerDesc;
    }

    public void setChangeProposerDesc(String changeProposerDesc) {
        this.changeProposerDesc = changeProposerDesc;
    }

    public String getChangeUserDesc() {
        return changeUserDesc;
    }

    public void setChangeUserDesc(String changeUserDesc) {
        this.changeUserDesc = changeUserDesc;
    }

    public String getOriginalConsultantDesc() {
        return originalConsultantDesc;
    }

    public void setOriginalConsultantDesc(String originalConsultantDesc) {
        this.originalConsultantDesc = originalConsultantDesc;
    }

    public String getNewConsultantDesc() {
        return newConsultantDesc;
    }

    public void setNewConsultantDesc(String newConsultantDesc) {
        this.newConsultantDesc = newConsultantDesc;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("changeProposer", getChangeProposer())
            .append("changeUser", getChangeUser())
            .append("originalConsultant", getOriginalConsultant())
            .append("originalAgent", getOriginalAgent())
            .append("newConsultant", getNewConsultant())
            .append("newAgent", getNewAgent())
            .append("applyTime", getApplyTime())
            .append("examineUser", getExamineUser())
            .append("examineResult", getExamineResult())
            .append("examineContent", getExamineContent())
            .append("examineTime", getExamineTime())
            .toString();
    }
}
