package com.ruoyi.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 海外国家人文，交通，饮食信息对象 tb_information_platform
 *
 * @author ruoyi
 * @date 2024-03-01
 */
public class TbInformationPlatform extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 国家代码 */
    @Excel(name = "国家代码")
    private Long countryCode;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String country;

    /** 城市代码 */
    @Excel(name = "城市代码")
    private Long cityCode;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String city;

    /** 内容分类 */
    @Excel(name = "内容分类")
    private String contentType;
    private String contentTypeDesc;

    /** 标题 */
    @Excel(name = "标题")
    private String title;

    /** 摘要 */
    @Excel(name = "摘要")
    private String summary;

    /** 内容 */
    @Excel(name = "内容")
    private String content;

    /** 图片封面 */
    @Excel(name = "图片封面")
    private String cover;

    /** 创建者 */
    @Excel(name = "创建者")
    private Long creator;

    /** 修改人 */
    @Excel(name = "修改人")
    private Long modifiedBy;

    @Excel(name = "创建人")
    private String creatorDesc;

    @Excel(name = "修改人")
    private String modifiedByDesc;

    @Excel(name="审核人员")
    private String checkerDesc;

    /**审核状态*/
    @Excel(name="审核状态")
    private String checkStatusDesc;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setCountryCode(Long countryCode)
    {
        this.countryCode = countryCode;
    }

    public Long getCountryCode()
    {
        return countryCode;
    }
    public void setCountry(String country)
    {
        this.country = country;
    }

    public String getCountry()
    {
        return country;
    }
    public void setCityCode(Long cityCode)
    {
        this.cityCode = cityCode;
    }

    public Long getCityCode()
    {
        return cityCode;
    }
    public void setCity(String city)
    {
        this.city = city;
    }

    public String getCity()
    {
        return city;
    }
    public void setContentType(String contentType)
    {
        this.contentType = contentType;
    }

    public String getContentType()
    {
        return contentType;
    }
    public void setTitle(String title)
    {
        this.title = title;
    }

    public String getTitle()
    {
        return title;
    }
    public void setContent(String content)
    {
        this.content = content;
    }

    public String getContent()
    {
        return content;
    }
    public void setCover(String cover)
    {
        this.cover = cover;
    }

    public String getCover()
    {
        return cover;
    }

    public String getContentTypeDesc() {
        return contentTypeDesc;
    }

    public void setContentTypeDesc(String contentTypeDesc) {
        this.contentTypeDesc = contentTypeDesc;
    }

    @Override
    public Long getCreator() {
        return creator;
    }

    @Override
    public void setCreator(Long creator) {
        this.creator = creator;
    }

    @Override
    public Long getModifiedBy() {
        return modifiedBy;
    }

    @Override
    public void setModifiedBy(Long modifiedBy) {
        this.modifiedBy = modifiedBy;
    }

    public String getCheckerDesc() {
        return checkerDesc;
    }

    public void setCheckerDesc(String checkerDesc) {
        this.checkerDesc = checkerDesc;
    }

    public String getCheckStatusDesc() {
        return checkStatusDesc;
    }

    public void setCheckStatusDesc(String checkStatusDesc) {
        this.checkStatusDesc = checkStatusDesc;
    }

    public String getCreatorDesc() {
        return creatorDesc;
    }

    public void setCreatorDesc(String creatorDesc) {
        this.creatorDesc = creatorDesc;
    }

    public String getModifiedByDesc() {
        return modifiedByDesc;
    }

    public void setModifiedByDesc(String modifiedByDesc) {
        this.modifiedByDesc = modifiedByDesc;
    }

    public String getSummary() {
        return summary;
    }

    public void setSummary(String summary) {
        this.summary = summary;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("countryCode", getCountryCode())
                .append("country", getCountry())
                .append("cityCode", getCityCode())
                .append("city", getCity())
                .append("contentType", getContentType())
                .append("title", getTitle())
                .append("content", getContent())
                .append("cover", getCover())
                .append("creator", getCreator())
                .append("createTime", getCreateTime())
                .append("modifiedBy", getModifiedBy())
                .append("updateTime", getUpdateTime())
                .toString();
    }
}
