package com.ruoyi.system.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 用户申请对象 tb_user_apply
 *
 * @author ruoyi
 * @date 2023-05-19
 */
public class TbUserApply extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private String id;

    /** 用户id */
    @Excel(name = "用户id")
    private Long userId;

    /** 申请的专业的id */
    @Excel(name = "申请的专业的id")
    private Long majorId;

    /** 专业入学时间id */
    @Excel(name = "专业入学时间id")
    private Long enrollmentId;

    /** 申请阶段 */
    @Excel(name = "申请阶段")
    private Long applyPhase;

    /** 申请进度(百分比) */
    @Excel(name = "申请进度(百分比)")
    private Integer applyProgress;

    /** 申请日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "申请日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date applyDate;

    /** 申请进度(文字) */
    @Excel(name = "申请进度(文字)")
    private String applyStatus;

    /** 申请状态，1 正常，2 修改，3 被拒 */
    @Excel(name = "申请状态，1 正常，2 修改，3 被拒")
    private Integer applyState;

    public void setId(String id)
    {
        this.id = id;
    }

    public String getId()
    {
        return id;
    }
    public void setUserId(Long userId)
    {
        this.userId = userId;
    }

    public Long getUserId()
    {
        return userId;
    }
    public void setMajorId(Long majorId)
    {
        this.majorId = majorId;
    }

    public Long getMajorId()
    {
        return majorId;
    }
    public void setEnrollmentId(Long enrollmentId)
    {
        this.enrollmentId = enrollmentId;
    }

    public Long getEnrollmentId()
    {
        return enrollmentId;
    }
    public void setApplyPhase(Long applyPhase)
    {
        this.applyPhase = applyPhase;
    }

    public Long getApplyPhase()
    {
        return applyPhase;
    }
    public void setApplyProgress(Integer applyProgress)
    {
        this.applyProgress = applyProgress;
    }

    public Integer getApplyProgress()
    {
        return applyProgress;
    }
    public void setApplyDate(Date applyDate)
    {
        this.applyDate = applyDate;
    }

    public Date getApplyDate()
    {
        return applyDate;
    }
    public void setApplyStatus(String applyStatus)
    {
        this.applyStatus = applyStatus;
    }

    public String getApplyStatus()
    {
        return applyStatus;
    }
    public void setApplyState(Integer applyState)
    {
        this.applyState = applyState;
    }

    public Integer getApplyState()
    {
        return applyState;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("userId", getUserId())
                .append("majorId", getMajorId())
                .append("enrollmentId", getEnrollmentId())
                .append("applyPhase", getApplyPhase())
                .append("applyProgress", getApplyProgress())
                .append("applyDate", getApplyDate())
                .append("applyStatus", getApplyStatus())
                .append("applyState", getApplyState())
                .toString();
    }
}