package com.ruoyi.system.domain;

import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import java.time.LocalDate;

/**
 * 用户offer对象 tb_user_offer
 * 
 * @author ruoyi
 * @date 2023-01-16
 */
@Data
public class TbUserOffer extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 用户id */
    @Excel(name = "用户id")
    private Long userid;

    /** 关联的申请id */
    @Excel(name = "关联的申请id")
    private String applyId;

    @Excel(name="申请结果，0 被拒，1 被录取")
    private String applyResult;

    @Excel(name="被拒原因")
    private String rejectReason;

    /** offer名称 */
    @Excel(name = "offer名称")
    private String offerName;

    /** $column.columnComment */
    @Excel(name = "录取通知书", readConverterExp = "$column.readConverterExp()")
    private String offerFile;

    /**
     * 录入申请结果的时间
     */
    private LocalDate offerTime;

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("userid", getUserid())
            .append("applyId", getApplyId())
            .append("offerName", getOfferName())
            .append("offerFile", getOfferFile())
            .toString();
    }
}
