package com.ruoyi.system.mapper;

import java.util.List;
import com.ruoyi.system.domain.TbConsultant;

/**
 * 顾问Mapper接口
 *
 * @author ruoyi
 * @date 2023-05-19
 */
public interface TbConsultantMapper
{
    /**
     * 查询顾问
     *
     * @param id 顾问主键
     * @return 顾问
     */
    TbConsultant selectTbConsultantById(Long id);

    /**
     * 查询顾问列表
     *
     * @param tbConsultant 顾问
     * @return 顾问集合
     */
    List<TbConsultant> selectTbConsultantList(TbConsultant tbConsultant);

    /**
     * 新增顾问
     *
     * @param tbConsultant 顾问
     * @return 结果
     */
    int insertTbConsultant(TbConsultant tbConsultant);

    /**
     * 修改顾问
     *
     * @param tbConsultant 顾问
     * @return 结果
     */
    int updateTbConsultant(TbConsultant tbConsultant);

    /**
     * 删除顾问
     *
     * @param id 顾问主键
     * @return 结果
     */
    int deleteTbConsultantById(Integer id);

    /**
     * 批量删除顾问
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteTbConsultantByIds(String[] ids);
}