package com.ruoyi.system.mapper;

import java.util.List;
import com.ruoyi.system.domain.TbCustomerserviceRecord;
import com.ruoyi.system.res.CustomerserviceRecordRes;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;

/**
 * 客服聊天记录Mapper接口
 * 
 * @author ruoyi
 * @date 2023-05-11
 */
@Mapper
public interface TbCustomerserviceRecordMapper 
{
    /**
     * 查询客服聊天记录
     * 
     * @param id 客服聊天记录主键
     * @return 客服聊天记录
     */
    public TbCustomerserviceRecord selectTbCustomerserviceRecordById(Long id);

    /**
     * 查询客服聊天记录列表
     * 
     * @param tbCustomerserviceRecord 客服聊天记录
     * @return 客服聊天记录集合
     */
    public List<TbCustomerserviceRecord> selectTbCustomerserviceRecordList(TbCustomerserviceRecord tbCustomerserviceRecord);

    @Select("<script>" +
            "select id,send_id as sendId,send_type as sendType,receive_id as receiveId," +
            "receive_type as receiveType,message,store_time as storeTime\n" +
            "from tb_customerservice_record\n" +
            "where (send_id=#{userid} and send_type != 1) or (receive_id=#{userid}  and receive_type != 1)\n" +
            "order by store_time desc" +
            "</script>")
    List<CustomerserviceRecordRes> queryListByUserid(String userid);

    /**
     * 新增客服聊天记录
     * 
     * @param tbCustomerserviceRecord 客服聊天记录
     * @return 结果
     */
    public int insertTbCustomerserviceRecord(TbCustomerserviceRecord tbCustomerserviceRecord);

    /**
     * 修改客服聊天记录
     * 
     * @param tbCustomerserviceRecord 客服聊天记录
     * @return 结果
     */
    public int updateTbCustomerserviceRecord(TbCustomerserviceRecord tbCustomerserviceRecord);

    /**
     * 删除客服聊天记录
     * 
     * @param id 客服聊天记录主键
     * @return 结果
     */
    public int deleteTbCustomerserviceRecordById(Long id);

    /**
     * 批量删除客服聊天记录
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTbCustomerserviceRecordByIds(String[] ids);
}
