package com.ruoyi.system.mapper;

import java.util.List;
import com.ruoyi.system.domain.TbInformationPlatform;
import org.apache.ibatis.annotations.Mapper;

/**
 * 海外国家人文，交通，饮食信息Mapper接口
 * 
 * @author ruoyi
 * @date 2024-02-29
 */
@Mapper
public interface TbInformationPlatformMapper 
{
    /**
     * 查询海外国家人文，交通，饮食信息
     * 
     * @param id 海外国家人文，交通，饮食信息主键
     * @return 海外国家人文，交通，饮食信息
     */
    TbInformationPlatform selectTbInformationPlatformById(Long id);

    /**
     * 查询海外国家人文，交通，饮食信息列表
     * 
     * @param tbInformationPlatform 海外国家人文，交通，饮食信息
     * @return 海外国家人文，交通，饮食信息集合
     */
    List<TbInformationPlatform> selectTbInformationPlatformList(TbInformationPlatform tbInformationPlatform);

    List<TbInformationPlatform> selectTbInformationPlatformNotPassList(TbInformationPlatform tbInformationPlatform);

    /**
     * 新增海外国家人文，交通，饮食信息
     * 
     * @param tbInformationPlatform 海外国家人文，交通，饮食信息
     * @return 结果
     */
    int insertTbInformationPlatform(TbInformationPlatform tbInformationPlatform);

    /**
     * 修改海外国家人文，交通，饮食信息
     * 
     * @param tbInformationPlatform 海外国家人文，交通，饮食信息
     * @return 结果
     */
    int updateTbInformationPlatform(TbInformationPlatform tbInformationPlatform);

    /**
     * 删除海外国家人文，交通，饮食信息
     * 
     * @param id 海外国家人文，交通，饮食信息主键
     * @return 结果
     */
    int deleteTbInformationPlatformById(Long id);

    /**
     * 批量删除海外国家人文，交通，饮食信息
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteTbInformationPlatformByIds(String[] ids);

    int updateCheckStatus(TbInformationPlatform tbInformationPlatform);
}
