package com.ruoyi.system.mapper;

import java.util.List;
import com.ruoyi.system.domain.TbLivingExpense;

/**
 * 生活成本Mapper接口
 * 
 * @author ruoyi
 * @date 2025-04-03
 */
public interface TbLivingExpenseMapper 
{
    /**
     * 查询生活成本
     * 
     * @param id 生活成本主键
     * @return 生活成本
     */
    public TbLivingExpense selectTbLivingExpenseById(Long id);

    /**
     * 查询生活成本列表
     * 
     * @param tbLivingExpense 生活成本
     * @return 生活成本集合
     */
    public List<TbLivingExpense> selectTbLivingExpenseList(TbLivingExpense tbLivingExpense);

    /**
     * 新增生活成本
     * 
     * @param tbLivingExpense 生活成本
     * @return 结果
     */
    public int insertTbLivingExpense(TbLivingExpense tbLivingExpense);

    /**
     * 修改生活成本
     * 
     * @param tbLivingExpense 生活成本
     * @return 结果
     */
    public int updateTbLivingExpense(TbLivingExpense tbLivingExpense);

    /**
     * 删除生活成本
     * 
     * @param id 生活成本主键
     * @return 结果
     */
    public int deleteTbLivingExpenseById(Long id);

    /**
     * 批量删除生活成本
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTbLivingExpenseByIds(String[] ids);
}
