package com.ruoyi.system.mapper;

import java.util.List;
import com.ruoyi.system.domain.TbRegion;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;

/**
 * 区划管理Mapper接口
 * 
 * @author ruoyi
 * @date 2023-01-03
 */
@Mapper
public interface TbRegionMapper 
{
    /**
     * 查询区划管理
     * 
     * @param id 区划管理主键
     * @return 区划管理
     */
    public TbRegion selectTbRegionById(Long id);

    /**
     * 查询区划管理列表
     * 
     * @param tbRegion 区划管理
     * @return 区划管理集合
     */
    public List<TbRegion> selectTbRegionList(TbRegion tbRegion);

    List<TbRegion> selectAllTbRegionList();

    @Select("SELECT CODE,name\n" +
            "FROM tb_region \n" +
            "WHERE LEVEL=0\n" +
//            "AND is_home_and_abroad=2 \n" +
            "ORDER BY CODE")
    List<TbRegion> selectCountryList();

    @Select({"<script>\n" +
            "SELECT CODE,name \n" +
            "FROM tb_region \n" +
            "WHERE parent_code=#{parentCode} \n" +
            "ORDER BY code" +
            "</script>"})
    List<TbRegion> queryRegionByParentCode(int parentCode);

    /**
     * 新增区划管理
     * 
     * @param tbRegion 区划管理
     * @return 结果
     */
    public int insertTbRegion(TbRegion tbRegion);

    /**
     * 修改区划管理
     * 
     * @param tbRegion 区划管理
     * @return 结果
     */
    public int updateTbRegion(TbRegion tbRegion);

    /**
     * 删除区划管理
     * 
     * @param id 区划管理主键
     * @return 结果
     */
    public int deleteTbRegionById(Long id);

    /**
     * 批量删除区划管理
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTbRegionByIds(String[] ids);
}
