package com.ruoyi.system.mapper;

import java.util.List;
import com.ruoyi.system.domain.TbUseHelp;

/**
 * 使用帮助Mapper接口
 * 
 * @author ruoyi
 * @date 2023-05-17
 */
public interface TbUseHelpMapper 
{
    /**
     * 查询使用帮助
     * 
     * @param id 使用帮助主键
     * @return 使用帮助
     */
    public TbUseHelp selectTbUseHelpById(Long id);

    /**
     * 查询使用帮助列表
     * 
     * @param tbUseHelp 使用帮助
     * @return 使用帮助集合
     */
    public List<TbUseHelp> selectTbUseHelpList(TbUseHelp tbUseHelp);

    /**
     * 新增使用帮助
     * 
     * @param tbUseHelp 使用帮助
     * @return 结果
     */
    public int insertTbUseHelp(TbUseHelp tbUseHelp);

    /**
     * 修改使用帮助
     * 
     * @param tbUseHelp 使用帮助
     * @return 结果
     */
    public int updateTbUseHelp(TbUseHelp tbUseHelp);

    /**
     * 删除使用帮助
     * 
     * @param id 使用帮助主键
     * @return 结果
     */
    public int deleteTbUseHelpById(Long id);

    /**
     * 批量删除使用帮助
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTbUseHelpByIds(String[] ids);
}
