package com.ruoyi.system.mapper;

import java.util.List;
import com.ruoyi.system.domain.TbUserEducationBackground;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Update;

/**
 * 用户教育背景Mapper接口
 * 
 * @author ruoyi
 * @date 2022-12-29
 */
@Mapper
public interface TbUserEducationBackgroundMapper 
{
    /**
     * 查询用户教育背景
     * 
     * @param id 用户教育背景主键
     * @return 用户教育背景
     */
    public TbUserEducationBackground selectTbUserEducationBackgroundById(Long id);

    /**
     * 查询用户教育背景列表
     * 
     * @param tbUserEducationBackground 用户教育背景
     * @return 用户教育背景集合
     */
    public List<TbUserEducationBackground> selectTbUserEducationBackgroundList(TbUserEducationBackground tbUserEducationBackground);

    List<TbUserEducationBackground> selectTbUserEducationBackgroundListByApplyId(String applyId);

    TbUserEducationBackground selectTbUserEducationBackgroundListByMasterId(Long masterId);

    /**
     * 新增用户教育背景
     * 
     * @param tbUserEducationBackground 用户教育背景
     * @return 结果
     */
    public int insertTbUserEducationBackground(TbUserEducationBackground tbUserEducationBackground);

    /**
     * 修改用户教育背景
     * 
     * @param tbUserEducationBackground 用户教育背景
     * @return 结果
     */
    public int updateTbUserEducationBackground(TbUserEducationBackground tbUserEducationBackground);

    /**
     * 删除用户教育背景
     * 
     * @param id 用户教育背景主键
     * @return 结果
     */
    public int deleteTbUserEducationBackgroundById(Long id);

    /**
     * 批量删除用户教育背景
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTbUserEducationBackgroundByIds(String[] ids);

    @Update("update tb_user_education_background\n" +
            "set is_modify=#{state}\n" +
            "where apply_id=#{applyId}")
    void updateModifyState(@Param("state") String state, @Param("applyId") String applyId);
}
