package com.ruoyi.system.mapper;

import java.util.List;
import com.ruoyi.system.domain.TbUserLanguageBackground;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Update;

/**
 * 用户语言背景Mapper接口
 * 
 * @author ruoyi
 * @date 2022-12-29
 */
@Mapper
public interface TbUserLanguageBackgroundMapper 
{
    /**
     * 查询用户语言背景
     * 
     * @param id 用户语言背景主键
     * @return 用户语言背景
     */
    public TbUserLanguageBackground selectTbUserLanguageBackgroundById(Long id);
    TbUserLanguageBackground selectTbUserLanguageBackgroundByApplyId(String applyId);
    TbUserLanguageBackground selectTbUserLanguageBackgroundByUserId(Long userid);

    /**
     * 查询用户语言背景列表
     * 
     * @param tbUserLanguageBackground 用户语言背景
     * @return 用户语言背景集合
     */
    public List<TbUserLanguageBackground> selectTbUserLanguageBackgroundList(TbUserLanguageBackground tbUserLanguageBackground);

    /**
     * 新增用户语言背景
     * 
     * @param tbUserLanguageBackground 用户语言背景
     * @return 结果
     */
    public int insertTbUserLanguageBackground(TbUserLanguageBackground tbUserLanguageBackground);

    /**
     * 修改用户语言背景
     * 
     * @param tbUserLanguageBackground 用户语言背景
     * @return 结果
     */
    public int updateTbUserLanguageBackground(TbUserLanguageBackground tbUserLanguageBackground);

    /**
     * 删除用户语言背景
     * 
     * @param id 用户语言背景主键
     * @return 结果
     */
    public int deleteTbUserLanguageBackgroundById(Long id);

    /**
     * 批量删除用户语言背景
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTbUserLanguageBackgroundByIds(String[] ids);

    @Update("update tb_user_language_background\n" +
            "set is_modify=#{state}\n" +
            "where apply_id=#{applyId}")
    void updateModifyState(@Param("state") String state, @Param("applyId") String applyId);
}
