package com.ruoyi.system.mapper;

import java.util.List;
import com.ruoyi.system.domain.TbUserOffer;
import org.apache.ibatis.annotations.Mapper;

/**
 * 用户offerMapper接口
 * 
 * @author ruoyi
 * @date 2023-01-16
 */
@Mapper
public interface TbUserOfferMapper 
{
    /**
     * 查询用户offer
     * 
     * @param id 用户offer主键
     * @return 用户offer
     */
    public TbUserOffer selectTbUserOfferById(Long id);

    /**
     * 查询用户offer列表
     * 
     * @param tbUserOffer 用户offer
     * @return 用户offer集合
     */
    public List<TbUserOffer> selectTbUserOfferList(TbUserOffer tbUserOffer);

    /**
     * 新增用户offer
     * 
     * @param tbUserOffer 用户offer
     * @return 结果
     */
    public int insertTbUserOffer(TbUserOffer tbUserOffer);

    /**
     * 修改用户offer
     * 
     * @param tbUserOffer 用户offer
     * @return 结果
     */
    public int updateTbUserOffer(TbUserOffer tbUserOffer);

    /**
     * 删除用户offer
     * 
     * @param id 用户offer主键
     * @return 结果
     */
    public int deleteTbUserOfferById(Long id);

    /**
     * 批量删除用户offer
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTbUserOfferByIds(String[] ids);
}
