package com.ruoyi.system.mapper;

import java.util.List;
import com.ruoyi.system.domain.TbUserParentInfo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Update;

/**
 * 用户父母信息Mapper接口
 * 
 * @author ruoyi
 * @date 2022-12-29
 */
@Mapper
public interface TbUserParentInfoMapper 
{
    /**
     * 查询用户父母信息
     * 
     * @param id 用户父母信息主键
     * @return 用户父母信息
     */
    public TbUserParentInfo selectTbUserParentInfoById(Long id);

    /**
     * 查询副本
     * @param masterId
     * @return
     */
    TbUserParentInfo selectTbUserParentInfoByMasterId(Long masterId);

    /**
     * 查询用户父母信息列表
     * 
     * @param tbUserParentInfo 用户父母信息
     * @return 用户父母信息集合
     */
    public List<TbUserParentInfo> selectTbUserParentInfoList(TbUserParentInfo tbUserParentInfo);

    List<TbUserParentInfo> selectTbUserParentInfoListByApplyId(String applyId);

    /**
     * 新增用户父母信息
     * 
     * @param tbUserParentInfo 用户父母信息
     * @return 结果
     */
    public int insertTbUserParentInfo(TbUserParentInfo tbUserParentInfo);

    /**
     * 修改用户父母信息
     * 
     * @param tbUserParentInfo 用户父母信息
     * @return 结果
     */
    public int updateTbUserParentInfo(TbUserParentInfo tbUserParentInfo);

    /**
     * 删除用户父母信息
     * 
     * @param id 用户父母信息主键
     * @return 结果
     */
    public int deleteTbUserParentInfoById(Long id);

    /**
     * 批量删除用户父母信息
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTbUserParentInfoByIds(String[] ids);

    @Update("update tb_user_parent_info\n" +
            "set is_modify=#{state}\n" +
            "where apply_id=#{applyId}")
    void updateModifyState(@Param("state") String state, @Param("applyId") String applyId);
}
