package com.ruoyi.system.mapper;

import java.util.List;
import com.ruoyi.system.domain.TbUserWorkExperience;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Update;

/**
 * 用户工作经历Mapper接口
 * 
 * @author ruoyi
 * @date 2022-12-29
 */
@Mapper
public interface TbUserWorkExperienceMapper 
{
    /**
     * 查询用户工作经历
     * 
     * @param id 用户工作经历主键
     * @return 用户工作经历
     */
    public TbUserWorkExperience selectTbUserWorkExperienceById(Long id);

    /**
     * 查询用户工作经历列表
     * 
     * @param tbUserWorkExperience 用户工作经历
     * @return 用户工作经历集合
     */
    public List<TbUserWorkExperience> selectTbUserWorkExperienceList(TbUserWorkExperience tbUserWorkExperience);

    List<TbUserWorkExperience> selectTbUserWorkExperienceListByApplyId(String applyId);
    TbUserWorkExperience selectTbUserWorkExperienceByMasterId(Long masterId);

    /**
     * 新增用户工作经历
     * 
     * @param tbUserWorkExperience 用户工作经历
     * @return 结果
     */
    public int insertTbUserWorkExperience(TbUserWorkExperience tbUserWorkExperience);

    /**
     * 修改用户工作经历
     * 
     * @param tbUserWorkExperience 用户工作经历
     * @return 结果
     */
    public int updateTbUserWorkExperience(TbUserWorkExperience tbUserWorkExperience);

    /**
     * 删除用户工作经历
     * 
     * @param id 用户工作经历主键
     * @return 结果
     */
    public int deleteTbUserWorkExperienceById(Long id);

    /**
     * 批量删除用户工作经历
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTbUserWorkExperienceByIds(String[] ids);

    @Update("update tb_user_work_experience\n" +
            "set is_modify=#{state}\n" +
            "where apply_id=#{applyId}")
    void updateModifyState(@Param("state") String state, @Param("applyId") String applyId);
}
