package com.ruoyi.system.mapper;

import java.util.List;
import com.ruoyi.system.domain.TbWeblink;

/**
 * 微信，微博，小红书等链接或二维码Mapper接口
 * 
 * @author ruoyi
 * @date 2023-05-05
 */
public interface TbWeblinkMapper 
{
    /**
     * 查询微信，微博，小红书等链接或二维码
     * 
     * @param id 微信，微博，小红书等链接或二维码主键
     * @return 微信，微博，小红书等链接或二维码
     */
    public TbWeblink selectTbWeblinkById(Long id);

    /**
     * 查询微信，微博，小红书等链接或二维码列表
     * 
     * @param tbWeblink 微信，微博，小红书等链接或二维码
     * @return 微信，微博，小红书等链接或二维码集合
     */
    public List<TbWeblink> selectTbWeblinkList(TbWeblink tbWeblink);

    /**
     * 新增微信，微博，小红书等链接或二维码
     * 
     * @param tbWeblink 微信，微博，小红书等链接或二维码
     * @return 结果
     */
    public int insertTbWeblink(TbWeblink tbWeblink);

    /**
     * 修改微信，微博，小红书等链接或二维码
     * 
     * @param tbWeblink 微信，微博，小红书等链接或二维码
     * @return 结果
     */
    public int updateTbWeblink(TbWeblink tbWeblink);

    /**
     * 删除微信，微博，小红书等链接或二维码
     * 
     * @param id 微信，微博，小红书等链接或二维码主键
     * @return 结果
     */
    public int deleteTbWeblinkById(Long id);

    /**
     * 批量删除微信，微博，小红书等链接或二维码
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTbWeblinkByIds(String[] ids);
}
