package com.ruoyi.system.service;

import java.util.List;
import com.ruoyi.system.domain.TbConsultantChange;

/**
 * 顾问变更申请Service接口
 * 
 * @author ruoyi
 * @date 2023-05-25
 */
public interface ITbConsultantChangeService 
{
    /**
     * 查询顾问变更申请
     * 
     * @param id 顾问变更申请主键
     * @return 顾问变更申请
     */
    TbConsultantChange selectTbConsultantChangeById(Long id);

    /**
     * 查询顾问变更申请列表
     * 
     * @param tbConsultantChange 顾问变更申请
     * @return 顾问变更申请集合
     */
    public List<TbConsultantChange> selectTbConsultantChangeList(TbConsultantChange tbConsultantChange);

    /**
     * 查询顾问变更申请列表
     *
     * @param tbConsultantChange 顾问变更申请
     * @return 顾问变更申请集合
     */
    List<TbConsultantChange> selectTbConsultantChangeCheckList(TbConsultantChange tbConsultantChange);

    /**
     * 新增顾问变更申请
     * 
     * @param tbConsultantChange 顾问变更申请
     * @return 结果
     */
    public int insertTbConsultantChange(TbConsultantChange tbConsultantChange);

    /**
     * 修改顾问变更申请
     * 
     * @param tbConsultantChange 顾问变更申请
     * @return 结果
     */
    public int updateTbConsultantChange(TbConsultantChange tbConsultantChange);

    /**
     * 批量删除顾问变更申请
     * 
     * @param ids 需要删除的顾问变更申请主键集合
     * @return 结果
     */
    public int deleteTbConsultantChangeByIds(String ids);

    /**
     * 删除顾问变更申请信息
     * 
     * @param id 顾问变更申请主键
     * @return 结果
     */
    public int deleteTbConsultantChangeById(Long id);
}
