package com.ruoyi.system.service;

import java.util.List;
import com.ruoyi.system.domain.TbConsultant;

/**
 * 顾问Service接口
 *
 * @author ruoyi
 * @date 2023-05-19
 */
public interface ITbConsultantService
{
    /**
     * 查询顾问
     *
     * @param id 顾问主键
     * @return 顾问
     */
    public TbConsultant selectTbConsultantById(Long id);

    /**
     * 查询顾问列表
     *
     * @param tbConsultant 顾问
     * @return 顾问集合
     */
    public List<TbConsultant> selectTbConsultantList(TbConsultant tbConsultant);

    /**
     * 新增顾问
     *
     * @param tbConsultant 顾问
     * @return 结果
     */
    public int insertTbConsultant(TbConsultant tbConsultant);

    /**
     * 修改顾问
     *
     * @param tbConsultant 顾问
     * @return 结果
     */
    public int updateTbConsultant(TbConsultant tbConsultant);

    /**
     * 批量删除顾问
     *
     * @param ids 需要删除的顾问主键集合
     * @return 结果
     */
    public int deleteTbConsultantByIds(String ids);

    /**
     * 删除顾问信息
     *
     * @param id 顾问主键
     * @return 结果
     */
    public int deleteTbConsultantById(Integer id);
}