package com.ruoyi.system.service;

import java.util.List;
import com.ruoyi.system.domain.TbCustomerserviceRecord;
import com.ruoyi.system.res.CustomerserviceRecordRes;

/**
 * 客服聊天记录Service接口
 * 
 * @author ruoyi
 * @date 2023-05-11
 */
public interface ITbCustomerserviceRecordService 
{
    /**
     * 查询客服聊天记录
     * 
     * @param id 客服聊天记录主键
     * @return 客服聊天记录
     */
    public TbCustomerserviceRecord selectTbCustomerserviceRecordById(Long id);

    /**
     * 查询客服聊天记录列表
     * 
     * @param tbCustomerserviceRecord 客服聊天记录
     * @return 客服聊天记录集合
     */
    public List<TbCustomerserviceRecord> selectTbCustomerserviceRecordList(TbCustomerserviceRecord tbCustomerserviceRecord);

    List<CustomerserviceRecordRes> queryListByUserid(String userid);

    /**
     * 新增客服聊天记录
     * 
     * @param tbCustomerserviceRecord 客服聊天记录
     * @return 结果
     */
    public int insertTbCustomerserviceRecord(TbCustomerserviceRecord tbCustomerserviceRecord);

    /**
     * 修改客服聊天记录
     * 
     * @param tbCustomerserviceRecord 客服聊天记录
     * @return 结果
     */
    public int updateTbCustomerserviceRecord(TbCustomerserviceRecord tbCustomerserviceRecord);

    /**
     * 批量删除客服聊天记录
     * 
     * @param ids 需要删除的客服聊天记录主键集合
     * @return 结果
     */
    public int deleteTbCustomerserviceRecordByIds(String ids);

    /**
     * 删除客服聊天记录信息
     * 
     * @param id 客服聊天记录主键
     * @return 结果
     */
    public int deleteTbCustomerserviceRecordById(Long id);
}
