package com.ruoyi.system.service;

import java.util.List;
import com.ruoyi.system.domain.TbFeedback;

/**
 * 问题反馈Service接口
 * 
 * @author ruoyi
 * @date 2023-05-04
 */
public interface ITbFeedbackService 
{
    /**
     * 查询问题反馈
     * 
     * @param id 问题反馈主键
     * @return 问题反馈
     */
    public TbFeedback selectTbFeedbackById(Long id);

    /**
     * 查询问题反馈列表
     * 
     * @param tbFeedback 问题反馈
     * @return 问题反馈集合
     */
    public List<TbFeedback> selectTbFeedbackList(TbFeedback tbFeedback);

    /**
     * 新增问题反馈
     * 
     * @param tbFeedback 问题反馈
     * @return 结果
     */
    public int insertTbFeedback(TbFeedback tbFeedback);

    /**
     * 修改问题反馈
     * 
     * @param tbFeedback 问题反馈
     * @return 结果
     */
    public int updateTbFeedback(TbFeedback tbFeedback);

    /**
     * 批量删除问题反馈
     * 
     * @param ids 需要删除的问题反馈主键集合
     * @return 结果
     */
    public int deleteTbFeedbackByIds(String ids);

    /**
     * 删除问题反馈信息
     * 
     * @param id 问题反馈主键
     * @return 结果
     */
    public int deleteTbFeedbackById(Long id);
}
