package com.ruoyi.system.service;

import java.util.List;

import com.ruoyi.common.core.domain.entity.SysDictData;
import com.ruoyi.system.domain.TbInformationPlatform;

/**
 * 海外国家人文，交通，饮食信息Service接口
 * 
 * @author ruoyi
 * @date 2024-02-29
 */
public interface ITbInformationPlatformService 
{
    /**
     * 查询海外国家人文，交通，饮食信息
     * 
     * @param id 海外国家人文，交通，饮食信息主键
     * @return 海外国家人文，交通，饮食信息
     */
    TbInformationPlatform selectTbInformationPlatformById(Long id);

    /**
     * 查询海外国家人文，交通，饮食信息列表
     * 
     * @param tbInformationPlatform 海外国家人文，交通，饮食信息
     * @return 海外国家人文，交通，饮食信息集合
     */
    List<TbInformationPlatform> selectTbInformationPlatformList(TbInformationPlatform tbInformationPlatform);
    List<TbInformationPlatform> selectTbInformationPlatformNotPassList(TbInformationPlatform tbInformationPlatform);

    /**
     * 新增海外国家人文，交通，饮食信息
     * 
     * @param tbInformationPlatform 海外国家人文，交通，饮食信息
     * @return 结果
     */
    int insertTbInformationPlatform(TbInformationPlatform tbInformationPlatform);

    /**
     * 修改海外国家人文，交通，饮食信息
     * 
     * @param tbInformationPlatform 海外国家人文，交通，饮食信息
     * @return 结果
     */
    int updateTbInformationPlatform(TbInformationPlatform tbInformationPlatform);

    /**
     * 批量删除海外国家人文，交通，饮食信息
     * 
     * @param ids 需要删除的海外国家人文，交通，饮食信息主键集合
     * @return 结果
     */
    int deleteTbInformationPlatformByIds(String ids);

    /**
     * 删除海外国家人文，交通，饮食信息信息
     * 
     * @param id 海外国家人文，交通，饮食信息主键
     * @return 结果
     */
    int deleteTbInformationPlatformById(Long id);

    int updateCheckStatus(TbInformationPlatform tbInformationPlatform);

}
