package com.ruoyi.system.service;

import java.util.List;
import com.ruoyi.system.domain.TbMajorSorted;

/**
 * 专业类型Service接口
 * 
 * @author ruoyi
 * @date 2022-12-19
 */
public interface ITbMajorSortedService 
{
    /**
     * 查询专业类型
     * 
     * @param id 专业类型主键
     * @return 专业类型
     */
    public TbMajorSorted selectTbMajorSortedById(Long id);

    /**
     * 查询专业类型列表
     * 
     * @param tbMajorSorted 专业类型
     * @return 专业类型集合
     */
    public List<TbMajorSorted> selectTbMajorSortedList(TbMajorSorted tbMajorSorted);

    /**
     * 新增专业类型
     * 
     * @param tbMajorSorted 专业类型
     * @return 结果
     */
    public int insertTbMajorSorted(TbMajorSorted tbMajorSorted);

    /**
     * 修改专业类型
     * 
     * @param tbMajorSorted 专业类型
     * @return 结果
     */
    public int updateTbMajorSorted(TbMajorSorted tbMajorSorted);

    /**
     * 批量删除专业类型
     * 
     * @param ids 需要删除的专业类型主键集合
     * @return 结果
     */
    public int deleteTbMajorSortedByIds(String ids);

    /**
     * 删除专业类型信息
     * 
     * @param id 专业类型主键
     * @return 结果
     */
    public int deleteTbMajorSortedById(Long id);
}
