package com.ruoyi.system.service;

import java.util.List;
import com.ruoyi.system.domain.TbPrivacyAndLegal;

/**
 * 隐私及法律条款Service接口
 * 
 * @author ruoyi
 * @date 2023-05-17
 */
public interface ITbPrivacyAndLegalService 
{
    /**
     * 查询隐私及法律条款
     * 
     * @param id 隐私及法律条款主键
     * @return 隐私及法律条款
     */
    public TbPrivacyAndLegal selectTbPrivacyAndLegalById(Long id);

    /**
     * 查询隐私及法律条款列表
     * 
     * @param tbPrivacyAndLegal 隐私及法律条款
     * @return 隐私及法律条款集合
     */
    public List<TbPrivacyAndLegal> selectTbPrivacyAndLegalList(TbPrivacyAndLegal tbPrivacyAndLegal);

    /**
     * 新增隐私及法律条款
     * 
     * @param tbPrivacyAndLegal 隐私及法律条款
     * @return 结果
     */
    public int insertTbPrivacyAndLegal(TbPrivacyAndLegal tbPrivacyAndLegal);

    /**
     * 修改隐私及法律条款
     * 
     * @param tbPrivacyAndLegal 隐私及法律条款
     * @return 结果
     */
    public int updateTbPrivacyAndLegal(TbPrivacyAndLegal tbPrivacyAndLegal);

    /**
     * 批量删除隐私及法律条款
     * 
     * @param ids 需要删除的隐私及法律条款主键集合
     * @return 结果
     */
    public int deleteTbPrivacyAndLegalByIds(String ids);

    /**
     * 删除隐私及法律条款信息
     * 
     * @param id 隐私及法律条款主键
     * @return 结果
     */
    public int deleteTbPrivacyAndLegalById(Long id);
}
