package com.ruoyi.system.service;

import java.util.List;
import com.ruoyi.system.domain.TbRegion;

/**
 * 区划管理Service接口
 * 
 * @author ruoyi
 * @date 2023-01-03
 */
public interface ITbRegionService 
{
    /**
     * 查询区划管理
     * 
     * @param id 区划管理主键
     * @return 区划管理
     */
    public TbRegion selectTbRegionById(Long id);

    /**
     * 查询区划管理列表
     * 
     * @param tbRegion 区划管理
     * @return 区划管理集合
     */
    public List<TbRegion> selectTbRegionList(TbRegion tbRegion);

    /**
     * 新增区划管理
     * 
     * @param tbRegion 区划管理
     * @return 结果
     */
    public int insertTbRegion(TbRegion tbRegion);

    /**
     * 修改区划管理
     * 
     * @param tbRegion 区划管理
     * @return 结果
     */
    public int updateTbRegion(TbRegion tbRegion);

    /**
     * 批量删除区划管理
     * 
     * @param ids 需要删除的区划管理主键集合
     * @return 结果
     */
    public int deleteTbRegionByIds(String ids);

    /**
     * 删除区划管理信息
     * 
     * @param id 区划管理主键
     * @return 结果
     */
    public int deleteTbRegionById(Long id);

    /**
     * 加载区域缓存数据
     */
    void loadingRegionCache();
}
