package com.ruoyi.system.service;

import java.util.List;
import com.ruoyi.system.domain.TbUserApplyOperationRecord;

/**
 * 用户申请操作记录Service接口
 * 
 * @author ruoyi
 * @date 2023-01-05
 */
public interface ITbUserApplyOperationRecordService 
{
    /**
     * 查询用户申请操作记录
     * 
     * @param id 用户申请操作记录主键
     * @return 用户申请操作记录
     */
    public TbUserApplyOperationRecord selectTbUserApplyOperationRecordById(Long id);

    /**
     * 查询用户申请操作记录列表
     * 
     * @param tbUserApplyOperationRecord 用户申请操作记录
     * @return 用户申请操作记录集合
     */
    public List<TbUserApplyOperationRecord> selectTbUserApplyOperationRecordList(TbUserApplyOperationRecord tbUserApplyOperationRecord);

    /**
     * 新增用户申请操作记录
     * 
     * @param tbUserApplyOperationRecord 用户申请操作记录
     * @return 结果
     */
    public int insertTbUserApplyOperationRecord(TbUserApplyOperationRecord tbUserApplyOperationRecord);

    /**
     * 修改用户申请操作记录
     * 
     * @param tbUserApplyOperationRecord 用户申请操作记录
     * @return 结果
     */
    public int updateTbUserApplyOperationRecord(TbUserApplyOperationRecord tbUserApplyOperationRecord);

    /**
     * 批量删除用户申请操作记录
     * 
     * @param ids 需要删除的用户申请操作记录主键集合
     * @return 结果
     */
    public int deleteTbUserApplyOperationRecordByIds(String ids);

    /**
     * 删除用户申请操作记录信息
     * 
     * @param id 用户申请操作记录主键
     * @return 结果
     */
    public int deleteTbUserApplyOperationRecordById(Long id);
}
