package com.ruoyi.system.service;

import java.util.List;
import com.ruoyi.system.domain.TbUserBasicInfo;

/**
 * 用户基本信息Service接口
 * 
 * @author ruoyi
 * @date 2022-12-29
 */
public interface ITbUserBasicInfoService 
{
    /**
     * 查询用户基本信息
     * 
     * @param id 用户基本信息主键
     * @return 用户基本信息
     */
    public TbUserBasicInfo selectTbUserBasicInfoById(Long id);

    TbUserBasicInfo selectTbUserBasicInfoByApplyId(String applyId);
    /**
     * 查询用户基本信息列表
     * 
     * @param tbUserBasicInfo 用户基本信息
     * @return 用户基本信息集合
     */
    public List<TbUserBasicInfo> selectTbUserBasicInfoList(TbUserBasicInfo tbUserBasicInfo);

    /**
     * 新增用户基本信息
     * 
     * @param tbUserBasicInfo 用户基本信息
     * @return 结果
     */
    public int insertTbUserBasicInfo(TbUserBasicInfo tbUserBasicInfo);

    /**
     * 修改用户基本信息
     * 
     * @param tbUserBasicInfo 用户基本信息
     * @return 结果
     */
    public int updateTbUserBasicInfo(TbUserBasicInfo tbUserBasicInfo);

    /**
     * 批量删除用户基本信息
     * 
     * @param ids 需要删除的用户基本信息主键集合
     * @return 结果
     */
    public int deleteTbUserBasicInfoByIds(String ids);

    /**
     * 删除用户基本信息信息
     * 
     * @param id 用户基本信息主键
     * @return 结果
     */
    public int deleteTbUserBasicInfoById(Long id);

    void updateModifyState(String applyId,String state);
}
