package com.ruoyi.system.service;

import java.util.List;
import com.ruoyi.system.domain.TbUserDetailInfo;
import com.ruoyi.system.res.StudentInfo;
import org.apache.ibatis.annotations.Param;

/**
 * 用户详细信息Service接口
 * 
 * @author ruoyi
 * @date 2022-12-29
 */
public interface ITbUserDetailInfoService 
{
    /**
     * 查询用户详细信息
     * 
     * @param id 用户详细信息主键
     * @return 用户详细信息
     */
    public TbUserDetailInfo selectTbUserDetailInfoById(Long id);

    /**
     * 查询用户详细信息
     *
     * @param applyId 用户详细信息主键
     * @return 用户详细信息
     */
    TbUserDetailInfo selectTbUserDetailInfoByApplyId(String applyId);

    /**
     * 查询用户详细信息列表
     * 
     * @param tbUserDetailInfo 用户详细信息
     * @return 用户详细信息集合
     */
    public List<TbUserDetailInfo> selectTbUserDetailInfoList(TbUserDetailInfo tbUserDetailInfo);

    /**
     * 新增用户详细信息
     * 
     * @param tbUserDetailInfo 用户详细信息
     * @return 结果
     */
    public int insertTbUserDetailInfo(TbUserDetailInfo tbUserDetailInfo);

    /**
     * 修改用户详细信息
     * 
     * @param tbUserDetailInfo 用户详细信息
     * @return 结果
     */
    public int updateTbUserDetailInfo(TbUserDetailInfo tbUserDetailInfo);

    /**
     * 批量删除用户详细信息
     * 
     * @param ids 需要删除的用户详细信息主键集合
     * @return 结果
     */
    public int deleteTbUserDetailInfoByIds(String ids);

    /**
     * 删除用户详细信息信息
     * 
     * @param id 用户详细信息主键
     * @return 结果
     */
    public int deleteTbUserDetailInfoById(Long id);

    /**
     * 更新编辑状态
     * @param applyId
     * @param state
     */
    void updateModifyState(String applyId,String state);

    /**
     * 根据手机号或者护照号或者身份证号查询用户的姓名
     * @param vagueParam
     * @return
     */
    StudentInfo queryUserName(@Param("vagueParam") String vagueParam);
}
