package com.ruoyi.system.service;

import java.util.List;
import com.ruoyi.system.domain.TbUserEducationBackground;

/**
 * 用户教育背景Service接口
 * 
 * @author ruoyi
 * @date 2022-12-29
 */
public interface ITbUserEducationBackgroundService 
{
    /**
     * 查询用户教育背景
     * 
     * @param id 用户教育背景主键
     * @return 用户教育背景
     */
    public TbUserEducationBackground selectTbUserEducationBackgroundById(Long id);

    /**
     * 查询用户教育背景列表
     * 
     * @param tbUserEducationBackground 用户教育背景
     * @return 用户教育背景集合
     */
    List<TbUserEducationBackground> selectTbUserEducationBackgroundList(TbUserEducationBackground tbUserEducationBackground);

    List<TbUserEducationBackground> selectTbUserEducationBackgroundListByApplyId(String applyId);
    /**
     * 新增用户教育背景
     * 
     * @param tbUserEducationBackground 用户教育背景
     * @return 结果
     */
    public int insertTbUserEducationBackground(TbUserEducationBackground tbUserEducationBackground);

    /**
     * 修改用户教育背景
     * 
     * @param tbUserEducationBackground 用户教育背景
     * @return 结果
     */
    public int updateTbUserEducationBackground(TbUserEducationBackground tbUserEducationBackground);

    /**
     * 批量删除用户教育背景
     * 
     * @param ids 需要删除的用户教育背景主键集合
     * @return 结果
     */
    public int deleteTbUserEducationBackgroundByIds(String ids);

    /**
     * 删除用户教育背景信息
     * 
     * @param id 用户教育背景主键
     * @return 结果
     */
    public int deleteTbUserEducationBackgroundById(Long id);

    /**
     * 更新编辑状态
     * @param applyId
     * @param state
     */
    void updateModifyState(String applyId,String state);
}
