package com.ruoyi.system.service;

import java.util.List;
import com.ruoyi.system.domain.TbUserLanguageBackground;

/**
 * 用户语言背景Service接口
 * 
 * @author ruoyi
 * @date 2022-12-29
 */
public interface ITbUserLanguageBackgroundService 
{
    /**
     * 查询用户语言背景
     * 
     * @param id 用户语言背景主键
     * @return 用户语言背景
     */
    public TbUserLanguageBackground selectTbUserLanguageBackgroundById(Long id);

    TbUserLanguageBackground selectTbUserLanguageBackgroundByApplyId(String applyId);

    /**
     * 查询用户语言背景列表
     * 
     * @param tbUserLanguageBackground 用户语言背景
     * @return 用户语言背景集合
     */
    public List<TbUserLanguageBackground> selectTbUserLanguageBackgroundList(TbUserLanguageBackground tbUserLanguageBackground);

    /**
     * 新增用户语言背景
     * 
     * @param tbUserLanguageBackground 用户语言背景
     * @return 结果
     */
    public int insertTbUserLanguageBackground(TbUserLanguageBackground tbUserLanguageBackground);

    /**
     * 修改用户语言背景
     * 
     * @param tbUserLanguageBackground 用户语言背景
     * @return 结果
     */
    public int updateTbUserLanguageBackground(TbUserLanguageBackground tbUserLanguageBackground);

    /**
     * 批量删除用户语言背景
     * 
     * @param ids 需要删除的用户语言背景主键集合
     * @return 结果
     */
    public int deleteTbUserLanguageBackgroundByIds(String ids);

    /**
     * 删除用户语言背景信息
     * 
     * @param id 用户语言背景主键
     * @return 结果
     */
    public int deleteTbUserLanguageBackgroundById(Long id);

    /**
     * 更新编辑状态
     * @param applyId
     * @param state
     */
    void updateModifyState(String applyId,String state);
}
