package com.ruoyi.system.service;

import java.util.List;
import com.ruoyi.system.domain.TbUserMaterial;
import com.ruoyi.system.res.UserMaterial1Res;
import com.ruoyi.system.res.UserMaterialRes;

/**
 * 用户提交的材料Service接口
 * 
 * @author ruoyi
 * @date 2023-04-10
 */
public interface ITbUserMaterialService 
{
    /**
     * 查询用户提交的材料
     * 
     * @param id 用户提交的材料主键
     * @return 用户提交的材料
     */
    public TbUserMaterial selectTbUserMaterialById(Long id);

    List<UserMaterialRes> selectUserMaterialList(TbUserMaterial tbUserMaterial);

    /**
     * 新增用户提交的材料
     * 
     * @param tbUserMaterial 用户提交的材料
     * @return 结果
     */
    public int insertTbUserMaterial(TbUserMaterial tbUserMaterial);

    /**
     * 修改用户提交的材料
     * 
     * @param tbUserMaterial 用户提交的材料
     * @return 结果
     */
    public int updateTbUserMaterial(TbUserMaterial tbUserMaterial);

    /**
     * 批量删除用户提交的材料
     * 
     * @param ids 需要删除的用户提交的材料主键集合
     * @return 结果
     */
    public int deleteTbUserMaterialByIds(String ids);

    /**
     * 删除用户提交的材料信息
     * 
     * @param id 用户提交的材料主键
     * @return 结果
     */
    public int deleteTbUserMaterialById(Long id);
}
