package com.ruoyi.system.service;

import java.util.List;
import com.ruoyi.system.domain.TbUserParentInfo;

/**
 * 用户父母信息Service接口
 * 
 * @author ruoyi
 * @date 2022-12-29
 */
public interface ITbUserParentInfoService 
{
    /**
     * 查询用户父母信息
     * 
     * @param id 用户父母信息主键
     * @return 用户父母信息
     */
    public TbUserParentInfo selectTbUserParentInfoById(Long id);

    /**
     * 查询用户父母信息列表
     * 
     * @param tbUserParentInfo 用户父母信息
     * @return 用户父母信息集合
     */
    public List<TbUserParentInfo> selectTbUserParentInfoList(TbUserParentInfo tbUserParentInfo);

    List<TbUserParentInfo> selectTbUserParentInfoListByApplyId(String applyId);

    /**
     * 新增用户父母信息
     * 
     * @param tbUserParentInfo 用户父母信息
     * @return 结果
     */
    public int insertTbUserParentInfo(TbUserParentInfo tbUserParentInfo);

    /**
     * 修改用户父母信息
     * 
     * @param tbUserParentInfo 用户父母信息
     * @return 结果
     */
    public int updateTbUserParentInfo(TbUserParentInfo tbUserParentInfo);

    /**
     * 批量删除用户父母信息
     * 
     * @param ids 需要删除的用户父母信息主键集合
     * @return 结果
     */
    public int deleteTbUserParentInfoByIds(String ids);

    /**
     * 删除用户父母信息信息
     * 
     * @param id 用户父母信息主键
     * @return 结果
     */
    public int deleteTbUserParentInfoById(Long id);

    /**
     * 更新编辑状态
     * @param applyId
     * @param state
     */
    void updateModifyState(String applyId,String state);
}
