package com.ruoyi.system.service;

import java.util.List;
import com.ruoyi.system.domain.TbUserWorkExperience;

/**
 * 用户工作经历Service接口
 * 
 * @author ruoyi
 * @date 2022-12-29
 */
public interface ITbUserWorkExperienceService 
{
    /**
     * 查询用户工作经历
     * 
     * @param id 用户工作经历主键
     * @return 用户工作经历
     */
    public TbUserWorkExperience selectTbUserWorkExperienceById(Long id);

    /**
     * 查询用户工作经历列表
     * 
     * @param tbUserWorkExperience 用户工作经历
     * @return 用户工作经历集合
     */
    List<TbUserWorkExperience> selectTbUserWorkExperienceList(TbUserWorkExperience tbUserWorkExperience);
    List<TbUserWorkExperience> selectTbUserWorkExperienceListByApplyId(String applyId);

    /**
     * 新增用户工作经历
     * 
     * @param tbUserWorkExperience 用户工作经历
     * @return 结果
     */
    public int insertTbUserWorkExperience(TbUserWorkExperience tbUserWorkExperience);

    /**
     * 修改用户工作经历
     * 
     * @param tbUserWorkExperience 用户工作经历
     * @return 结果
     */
    public int updateTbUserWorkExperience(TbUserWorkExperience tbUserWorkExperience);

    /**
     * 批量删除用户工作经历
     * 
     * @param ids 需要删除的用户工作经历主键集合
     * @return 结果
     */
    public int deleteTbUserWorkExperienceByIds(String ids);

    /**
     * 删除用户工作经历信息
     * 
     * @param id 用户工作经历主键
     * @return 结果
     */
    public int deleteTbUserWorkExperienceById(Long id);

    /**
     * 更新编辑状态
     * @param applyId
     * @param state
     */
    void updateModifyState(String applyId,String state);
}
