package com.ruoyi.system.service;

import java.util.List;
import com.ruoyi.system.domain.TbVersionRecord;

/**
 * 版本记录Service接口
 * 
 * @author ruoyi
 * @date 2023-05-04
 */
public interface ITbVersionRecordService 
{
    /**
     * 查询版本记录
     * 
     * @param id 版本记录主键
     * @return 版本记录
     */
    public TbVersionRecord selectTbVersionRecordById(Long id);

    /**
     * 查询版本记录列表
     * 
     * @param tbVersionRecord 版本记录
     * @return 版本记录集合
     */
    public List<TbVersionRecord> selectTbVersionRecordList(TbVersionRecord tbVersionRecord);

    /**
     * 新增版本记录
     * 
     * @param tbVersionRecord 版本记录
     * @return 结果
     */
    public int insertTbVersionRecord(TbVersionRecord tbVersionRecord);

    /**
     * 修改版本记录
     * 
     * @param tbVersionRecord 版本记录
     * @return 结果
     */
    public int updateTbVersionRecord(TbVersionRecord tbVersionRecord);

    /**
     * 批量删除版本记录
     * 
     * @param ids 需要删除的版本记录主键集合
     * @return 结果
     */
    public int deleteTbVersionRecordByIds(String ids);

    /**
     * 删除版本记录信息
     * 
     * @param id 版本记录主键
     * @return 结果
     */
    public int deleteTbVersionRecordById(Long id);
}
