package com.ruoyi.system.service.impl;

import com.ruoyi.common.core.domain.entity.SysDictData;
import com.ruoyi.common.core.domain.entity.SysUser;
import com.ruoyi.common.utils.StringUtils;
import com.ruoyi.system.domain.TbMajorSorted;
import com.ruoyi.system.domain.TbRegion;
import com.ruoyi.system.domain.TbSchool;
import com.ruoyi.system.mapper.*;
import org.apache.commons.lang3.ObjectUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 * @Author：fanxiaolong
 * @Date： 2022-10-11 17:18
 * @Description：
 */
@Component
public class CommonServiceImpl {

    @Autowired
    private TbSchoolMapper tbSchoolMapper;

    @Autowired
    private SysUserMapper sysUserMapper;

    @Autowired
    private SysDictDataMapper sysDictDataMapper;

    @Autowired
    private TbMajorSortedMapper tbMajorSortedMapper;

    @Autowired
    private TbRegionMapper tbRegionMapper;

    /**
     * @Author : fanxiaolong
     * @Description : 查询学校名称
     * @DateTime : 2023/3/30 10:04
     * @param : id
     * @return : java.lang.String
     */
    public String getSchoolCnName(Long id){

        TbSchool ts=tbSchoolMapper.selectTbSchoolById(id);
        return ts.getSchoolCnName();
    }

    /**
     * @Author : fanxiaolong
     * @Description : 查询校区
     * @DateTime : 2023/3/30 10:04
     * @param : id
     * @return : java.lang.String
     */
    public String getSchoolCampus(Long id){

        TbSchool ts=tbSchoolMapper.selectTbSchoolById(id);
        return ts.getSchoolCampus();
    }

    public String getUserName(Long userId){
        SysUser su=sysUserMapper.selectUserById(userId);
        if(ObjectUtils.isNotEmpty(su)){
            return su.getLoginName();
        }
        return "";
    }

    public String getMajorName(Long id){
        TbMajorSorted tbMajorSorted=tbMajorSortedMapper.selectTbMajorSortedById(id);
        if(null == tbMajorSorted){
            return null;
        }
        return tbMajorSorted.getMajorName();
    }

    public String convertDictToString(String dictValue,String dictName){
        List<SysDictData> dictDataList=sysDictDataMapper.selectDictDataByType(dictName);
        String[] dictLabel = new String[1];
        dictDataList.stream().forEach(sysDictData -> {
            if(StringUtils.compare(dictValue,sysDictData.getDictValue())==0){
                dictLabel[0] =sysDictData.getDictLabel();
            }
        });
        return dictLabel[0];
    }

    /**
     * @Author : fanxiaolong
     * @Description : 查询国家
     * @DateTime : 2023/1/10 15:23
     * @param :
     * @return : java.util.List<com.ruoyi.system.domain.TbRegion>
     */
    public List<TbRegion> selectCountryList(){

        return tbRegionMapper.selectCountryList();
    }

    public List<TbRegion> queryRegionByParentCode(int code){
        return tbRegionMapper.queryRegionByParentCode(code);
    }


}
