package com.ruoyi.system.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.TbConsultantMapper;
import com.ruoyi.system.domain.TbConsultant;
import com.ruoyi.system.service.ITbConsultantService;
import com.ruoyi.common.core.text.Convert;

/**
 * 顾问Service业务层处理
 * 
 * @author ruoyi
 * @date 2023-05-19
 */
@Service
public class TbConsultantServiceImpl implements ITbConsultantService 
{
    @Autowired
    private TbConsultantMapper tbConsultantMapper;

    /**
     * 查询顾问
     * 
     * @param id 顾问主键
     * @return 顾问
     */
    @Override
    public TbConsultant selectTbConsultantById(Long id)
    {
        return tbConsultantMapper.selectTbConsultantById(id);
    }

    /**
     * 查询顾问列表
     * 
     * @param tbConsultant 顾问
     * @return 顾问
     */
    @Override
    public List<TbConsultant> selectTbConsultantList(TbConsultant tbConsultant)
    {
        return tbConsultantMapper.selectTbConsultantList(tbConsultant);
    }

    /**
     * 新增顾问
     * 
     * @param tbConsultant 顾问
     * @return 结果
     */
    @Override
    public int insertTbConsultant(TbConsultant tbConsultant)
    {
        return tbConsultantMapper.insertTbConsultant(tbConsultant);
    }

    /**
     * 修改顾问
     * 
     * @param tbConsultant 顾问
     * @return 结果
     */
    @Override
    public int updateTbConsultant(TbConsultant tbConsultant)
    {
        return tbConsultantMapper.updateTbConsultant(tbConsultant);
    }

    /**
     * 批量删除顾问
     * 
     * @param ids 需要删除的顾问主键
     * @return 结果
     */
    @Override
    public int deleteTbConsultantByIds(String ids)
    {
        return tbConsultantMapper.deleteTbConsultantByIds(Convert.toStrArray(ids));
    }

    /**
     * 删除顾问信息
     * 
     * @param id 顾问主键
     * @return 结果
     */
    @Override
    public int deleteTbConsultantById(Integer id)
    {
        return tbConsultantMapper.deleteTbConsultantById(id);
    }
}
