package com.ruoyi.system.service.impl;

import java.util.List;
import cn.hutool.core.util.NumberUtil;
import com.ruoyi.system.domain.TbUser;
import com.ruoyi.system.mapper.TbUserMapper;
import com.ruoyi.system.res.CustomerserviceRecordRes;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.TbCustomerserviceRecordMapper;
import com.ruoyi.system.domain.TbCustomerserviceRecord;
import com.ruoyi.system.service.ITbCustomerserviceRecordService;
import com.ruoyi.common.core.text.Convert;
import com.ruoyi.common.config.BusinessConfig;

/**
 * 客服聊天记录Service业务层处理
 * 
 * @author ruoyi
 * @date 2023-05-11
 */
@Service
public class TbCustomerserviceRecordServiceImpl implements ITbCustomerserviceRecordService 
{
    @Autowired
    private TbCustomerserviceRecordMapper tbCustomerserviceRecordMapper;

    @Autowired
    private TbUserMapper tbUserMapper;

    /**
     * 查询客服聊天记录
     * 
     * @param id 客服聊天记录主键
     * @return 客服聊天记录
     */
    @Override
    public TbCustomerserviceRecord selectTbCustomerserviceRecordById(Long id)
    {
        return tbCustomerserviceRecordMapper.selectTbCustomerserviceRecordById(id);
    }

    /**
     * 查询客服聊天记录列表
     * 
     * @param tbCustomerserviceRecord 客服聊天记录
     * @return 客服聊天记录
     */
    @Override
    public List<TbCustomerserviceRecord> selectTbCustomerserviceRecordList(TbCustomerserviceRecord tbCustomerserviceRecord)
    {
        return tbCustomerserviceRecordMapper.selectTbCustomerserviceRecordList(tbCustomerserviceRecord);
    }

    @Override
    public List<CustomerserviceRecordRes> queryListByUserid(String userid){
        List<CustomerserviceRecordRes> list = tbCustomerserviceRecordMapper.queryListByUserid(userid);
        for(CustomerserviceRecordRes crr : list){
            if(NumberUtil.isInteger(userid)){
                TbUser tbUser = tbUserMapper.selectTbUserById(Long.parseLong(userid));
                crr.setNickName(tbUser.getNickname());
                crr.setPicture(BusinessConfig.getWebResource()+tbUser.getHeadPortrait());
            }else{
                crr.setNickName("访客");
                crr.setPicture(BusinessConfig.getHeaderPhoto());
            }
        }
        return list;
    }

    /**
     * 新增客服聊天记录
     * 
     * @param tbCustomerserviceRecord 客服聊天记录
     * @return 结果
     */
    @Override
    public int insertTbCustomerserviceRecord(TbCustomerserviceRecord tbCustomerserviceRecord)
    {
        return tbCustomerserviceRecordMapper.insertTbCustomerserviceRecord(tbCustomerserviceRecord);
    }

    /**
     * 修改客服聊天记录
     * 
     * @param tbCustomerserviceRecord 客服聊天记录
     * @return 结果
     */
    @Override
    public int updateTbCustomerserviceRecord(TbCustomerserviceRecord tbCustomerserviceRecord)
    {
        return tbCustomerserviceRecordMapper.updateTbCustomerserviceRecord(tbCustomerserviceRecord);
    }

    /**
     * 批量删除客服聊天记录
     * 
     * @param ids 需要删除的客服聊天记录主键
     * @return 结果
     */
    @Override
    public int deleteTbCustomerserviceRecordByIds(String ids)
    {
        return tbCustomerserviceRecordMapper.deleteTbCustomerserviceRecordByIds(Convert.toStrArray(ids));
    }

    /**
     * 删除客服聊天记录信息
     * 
     * @param id 客服聊天记录主键
     * @return 结果
     */
    @Override
    public int deleteTbCustomerserviceRecordById(Long id)
    {
        return tbCustomerserviceRecordMapper.deleteTbCustomerserviceRecordById(id);
    }
}
