package com.ruoyi.system.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.TbFeedbackMapper;
import com.ruoyi.system.domain.TbFeedback;
import com.ruoyi.system.service.ITbFeedbackService;
import com.ruoyi.common.core.text.Convert;

/**
 * 问题反馈Service业务层处理
 * 
 * @author ruoyi
 * @date 2023-05-04
 */
@Service
public class TbFeedbackServiceImpl implements ITbFeedbackService 
{
    @Autowired
    private TbFeedbackMapper tbFeedbackMapper;

    /**
     * 查询问题反馈
     * 
     * @param id 问题反馈主键
     * @return 问题反馈
     */
    @Override
    public TbFeedback selectTbFeedbackById(Long id)
    {
        return tbFeedbackMapper.selectTbFeedbackById(id);
    }

    /**
     * 查询问题反馈列表
     * 
     * @param tbFeedback 问题反馈
     * @return 问题反馈
     */
    @Override
    public List<TbFeedback> selectTbFeedbackList(TbFeedback tbFeedback)
    {
        return tbFeedbackMapper.selectTbFeedbackList(tbFeedback);
    }

    /**
     * 新增问题反馈
     * 
     * @param tbFeedback 问题反馈
     * @return 结果
     */
    @Override
    public int insertTbFeedback(TbFeedback tbFeedback)
    {
        return tbFeedbackMapper.insertTbFeedback(tbFeedback);
    }

    /**
     * 修改问题反馈
     * 
     * @param tbFeedback 问题反馈
     * @return 结果
     */
    @Override
    public int updateTbFeedback(TbFeedback tbFeedback)
    {
        return tbFeedbackMapper.updateTbFeedback(tbFeedback);
    }

    /**
     * 批量删除问题反馈
     * 
     * @param ids 需要删除的问题反馈主键
     * @return 结果
     */
    @Override
    public int deleteTbFeedbackByIds(String ids)
    {
        return tbFeedbackMapper.deleteTbFeedbackByIds(Convert.toStrArray(ids));
    }

    /**
     * 删除问题反馈信息
     * 
     * @param id 问题反馈主键
     * @return 结果
     */
    @Override
    public int deleteTbFeedbackById(Long id)
    {
        return tbFeedbackMapper.deleteTbFeedbackById(id);
    }
}
