package com.ruoyi.system.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.TbHomepageMapper;
import com.ruoyi.system.domain.TbHomepage;
import com.ruoyi.system.service.ITbHomepageService;
import com.ruoyi.common.core.text.Convert;

/**
 * 首页文案，bannerService业务层处理
 * 
 * @author ruoyi
 * @date 2023-06-06
 */
@Service
public class TbHomepageServiceImpl implements ITbHomepageService 
{
    @Autowired
    private TbHomepageMapper tbHomepageMapper;

    /**
     * 查询首页文案，banner
     * 
     * @param id 首页文案，banner主键
     * @return 首页文案，banner
     */
    @Override
    public TbHomepage selectTbHomepageById(Long id)
    {
        return tbHomepageMapper.selectTbHomepageById(id);
    }

    /**
     * 查询首页文案，banner列表
     * 
     * @param tbHomepage 首页文案，banner
     * @return 首页文案，banner
     */
    @Override
    public List<TbHomepage> selectTbHomepageList(TbHomepage tbHomepage)
    {
        return tbHomepageMapper.selectTbHomepageList(tbHomepage);
    }

    /**
     * 新增首页文案，banner
     * 
     * @param tbHomepage 首页文案，banner
     * @return 结果
     */
    @Override
    public int insertTbHomepage(TbHomepage tbHomepage)
    {
        return tbHomepageMapper.insertTbHomepage(tbHomepage);
    }

    /**
     * 修改首页文案，banner
     * 
     * @param tbHomepage 首页文案，banner
     * @return 结果
     */
    @Override
    public int updateTbHomepage(TbHomepage tbHomepage)
    {
        return tbHomepageMapper.updateTbHomepage(tbHomepage);
    }

    /**
     * 批量删除首页文案，banner
     * 
     * @param ids 需要删除的首页文案，banner主键
     * @return 结果
     */
    @Override
    public int deleteTbHomepageByIds(String ids)
    {
        return tbHomepageMapper.deleteTbHomepageByIds(Convert.toStrArray(ids));
    }

    /**
     * 删除首页文案，banner信息
     * 
     * @param id 首页文案，banner主键
     * @return 结果
     */
    @Override
    public int deleteTbHomepageById(Long id)
    {
        return tbHomepageMapper.deleteTbHomepageById(id);
    }
}
