package com.ruoyi.system.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.TbLivingExpenseMapper;
import com.ruoyi.system.domain.TbLivingExpense;
import com.ruoyi.system.service.ITbLivingExpenseService;
import com.ruoyi.common.core.text.Convert;

/**
 * 生活成本Service业务层处理
 * 
 * @author ruoyi
 * @date 2025-04-03
 */
@Service
public class TbLivingExpenseServiceImpl implements ITbLivingExpenseService 
{
    @Autowired
    private TbLivingExpenseMapper tbLivingExpenseMapper;

    /**
     * 查询生活成本
     * 
     * @param id 生活成本主键
     * @return 生活成本
     */
    @Override
    public TbLivingExpense selectTbLivingExpenseById(Long id)
    {
        return tbLivingExpenseMapper.selectTbLivingExpenseById(id);
    }

    /**
     * 查询生活成本列表
     * 
     * @param tbLivingExpense 生活成本
     * @return 生活成本
     */
    @Override
    public List<TbLivingExpense> selectTbLivingExpenseList(TbLivingExpense tbLivingExpense)
    {
        return tbLivingExpenseMapper.selectTbLivingExpenseList(tbLivingExpense);
    }

    /**
     * 新增生活成本
     * 
     * @param tbLivingExpense 生活成本
     * @return 结果
     */
    @Override
    public int insertTbLivingExpense(TbLivingExpense tbLivingExpense)
    {
        return tbLivingExpenseMapper.insertTbLivingExpense(tbLivingExpense);
    }

    /**
     * 修改生活成本
     * 
     * @param tbLivingExpense 生活成本
     * @return 结果
     */
    @Override
    public int updateTbLivingExpense(TbLivingExpense tbLivingExpense)
    {
        return tbLivingExpenseMapper.updateTbLivingExpense(tbLivingExpense);
    }

    /**
     * 批量删除生活成本
     * 
     * @param ids 需要删除的生活成本主键
     * @return 结果
     */
    @Override
    public int deleteTbLivingExpenseByIds(String ids)
    {
        return tbLivingExpenseMapper.deleteTbLivingExpenseByIds(Convert.toStrArray(ids));
    }

    /**
     * 删除生活成本信息
     * 
     * @param id 生活成本主键
     * @return 结果
     */
    @Override
    public int deleteTbLivingExpenseById(Long id)
    {
        return tbLivingExpenseMapper.deleteTbLivingExpenseById(id);
    }
}
