package com.ruoyi.system.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.TbMajorSortedMapper;
import com.ruoyi.system.domain.TbMajorSorted;
import com.ruoyi.system.service.ITbMajorSortedService;
import com.ruoyi.common.core.text.Convert;

/**
 * 专业类型Service业务层处理
 * 
 * @author ruoyi
 * @date 2022-12-19
 */
@Service
public class TbMajorSortedServiceImpl implements ITbMajorSortedService 
{
    @Autowired
    private TbMajorSortedMapper tbMajorSortedMapper;

    /**
     * 查询专业类型
     * 
     * @param id 专业类型主键
     * @return 专业类型
     */
    @Override
    public TbMajorSorted selectTbMajorSortedById(Long id)
    {
        return tbMajorSortedMapper.selectTbMajorSortedById(id);
    }

    /**
     * 查询专业类型列表
     * 
     * @param tbMajorSorted 专业类型
     * @return 专业类型
     */
    @Override
    public List<TbMajorSorted> selectTbMajorSortedList(TbMajorSorted tbMajorSorted)
    {
        return tbMajorSortedMapper.selectTbMajorSortedList(tbMajorSorted);
    }

    /**
     * 新增专业类型
     * 
     * @param tbMajorSorted 专业类型
     * @return 结果
     */
    @Override
    public int insertTbMajorSorted(TbMajorSorted tbMajorSorted)
    {
        return tbMajorSortedMapper.insertTbMajorSorted(tbMajorSorted);
    }

    /**
     * 修改专业类型
     * 
     * @param tbMajorSorted 专业类型
     * @return 结果
     */
    @Override
    public int updateTbMajorSorted(TbMajorSorted tbMajorSorted)
    {
        return tbMajorSortedMapper.updateTbMajorSorted(tbMajorSorted);
    }

    /**
     * 批量删除专业类型
     * 
     * @param ids 需要删除的专业类型主键
     * @return 结果
     */
    @Override
    public int deleteTbMajorSortedByIds(String ids)
    {
        return tbMajorSortedMapper.deleteTbMajorSortedByIds(Convert.toStrArray(ids));
    }

    /**
     * 删除专业类型信息
     * 
     * @param id 专业类型主键
     * @return 结果
     */
    @Override
    public int deleteTbMajorSortedById(Long id)
    {
        return tbMajorSortedMapper.deleteTbMajorSortedById(id);
    }
}
