package com.ruoyi.system.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.TbPrivacyAndLegalMapper;
import com.ruoyi.system.domain.TbPrivacyAndLegal;
import com.ruoyi.system.service.ITbPrivacyAndLegalService;
import com.ruoyi.common.core.text.Convert;

/**
 * 隐私及法律条款Service业务层处理
 * 
 * @author ruoyi
 * @date 2023-05-17
 */
@Service
public class TbPrivacyAndLegalServiceImpl implements ITbPrivacyAndLegalService 
{
    @Autowired
    private TbPrivacyAndLegalMapper tbPrivacyAndLegalMapper;

    /**
     * 查询隐私及法律条款
     * 
     * @param id 隐私及法律条款主键
     * @return 隐私及法律条款
     */
    @Override
    public TbPrivacyAndLegal selectTbPrivacyAndLegalById(Long id)
    {
        return tbPrivacyAndLegalMapper.selectTbPrivacyAndLegalById(id);
    }

    /**
     * 查询隐私及法律条款列表
     * 
     * @param tbPrivacyAndLegal 隐私及法律条款
     * @return 隐私及法律条款
     */
    @Override
    public List<TbPrivacyAndLegal> selectTbPrivacyAndLegalList(TbPrivacyAndLegal tbPrivacyAndLegal)
    {
        return tbPrivacyAndLegalMapper.selectTbPrivacyAndLegalList(tbPrivacyAndLegal);
    }

    /**
     * 新增隐私及法律条款
     * 
     * @param tbPrivacyAndLegal 隐私及法律条款
     * @return 结果
     */
    @Override
    public int insertTbPrivacyAndLegal(TbPrivacyAndLegal tbPrivacyAndLegal)
    {
        return tbPrivacyAndLegalMapper.insertTbPrivacyAndLegal(tbPrivacyAndLegal);
    }

    /**
     * 修改隐私及法律条款
     * 
     * @param tbPrivacyAndLegal 隐私及法律条款
     * @return 结果
     */
    @Override
    public int updateTbPrivacyAndLegal(TbPrivacyAndLegal tbPrivacyAndLegal)
    {
        return tbPrivacyAndLegalMapper.updateTbPrivacyAndLegal(tbPrivacyAndLegal);
    }

    /**
     * 批量删除隐私及法律条款
     * 
     * @param ids 需要删除的隐私及法律条款主键
     * @return 结果
     */
    @Override
    public int deleteTbPrivacyAndLegalByIds(String ids)
    {
        return tbPrivacyAndLegalMapper.deleteTbPrivacyAndLegalByIds(Convert.toStrArray(ids));
    }

    /**
     * 删除隐私及法律条款信息
     * 
     * @param id 隐私及法律条款主键
     * @return 结果
     */
    @Override
    public int deleteTbPrivacyAndLegalById(Long id)
    {
        return tbPrivacyAndLegalMapper.deleteTbPrivacyAndLegalById(id);
    }
}
