package com.ruoyi.system.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.TbUseHelpMapper;
import com.ruoyi.system.domain.TbUseHelp;
import com.ruoyi.system.service.ITbUseHelpService;
import com.ruoyi.common.core.text.Convert;

/**
 * 使用帮助Service业务层处理
 * 
 * @author ruoyi
 * @date 2023-05-17
 */
@Service
public class TbUseHelpServiceImpl implements ITbUseHelpService 
{
    @Autowired
    private TbUseHelpMapper tbUseHelpMapper;

    /**
     * 查询使用帮助
     * 
     * @param id 使用帮助主键
     * @return 使用帮助
     */
    @Override
    public TbUseHelp selectTbUseHelpById(Long id)
    {
        return tbUseHelpMapper.selectTbUseHelpById(id);
    }

    /**
     * 查询使用帮助列表
     * 
     * @param tbUseHelp 使用帮助
     * @return 使用帮助
     */
    @Override
    public List<TbUseHelp> selectTbUseHelpList(TbUseHelp tbUseHelp)
    {
        return tbUseHelpMapper.selectTbUseHelpList(tbUseHelp);
    }

    /**
     * 新增使用帮助
     * 
     * @param tbUseHelp 使用帮助
     * @return 结果
     */
    @Override
    public int insertTbUseHelp(TbUseHelp tbUseHelp)
    {
        return tbUseHelpMapper.insertTbUseHelp(tbUseHelp);
    }

    /**
     * 修改使用帮助
     * 
     * @param tbUseHelp 使用帮助
     * @return 结果
     */
    @Override
    public int updateTbUseHelp(TbUseHelp tbUseHelp)
    {
        return tbUseHelpMapper.updateTbUseHelp(tbUseHelp);
    }

    /**
     * 批量删除使用帮助
     * 
     * @param ids 需要删除的使用帮助主键
     * @return 结果
     */
    @Override
    public int deleteTbUseHelpByIds(String ids)
    {
        return tbUseHelpMapper.deleteTbUseHelpByIds(Convert.toStrArray(ids));
    }

    /**
     * 删除使用帮助信息
     * 
     * @param id 使用帮助主键
     * @return 结果
     */
    @Override
    public int deleteTbUseHelpById(Long id)
    {
        return tbUseHelpMapper.deleteTbUseHelpById(id);
    }
}
