package com.ruoyi.system.service.impl;

import java.util.Date;
import java.util.List;
import java.util.stream.Collectors;

import cn.hutool.core.date.DateUnit;
import cn.hutool.core.date.DateUtil;
import com.ruoyi.common.utils.DateUtils;
import com.ruoyi.system.domain.TbEnrollmentTime;
import com.ruoyi.system.domain.TbSchool;
import com.ruoyi.system.domain.TbSchoolMajor;
import com.ruoyi.system.domain.TbUserApply;
import com.ruoyi.system.mapper.*;
import com.ruoyi.system.res.UserApplyRes;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.service.ITbUserApplyInfoService;

import javax.annotation.Resource;

/**
 * 用户基本信息Service业务层处理
 * 
 * @author ruoyi
 * @date 2022-12-29
 */
@Service
public class TbUserApplyInfoServiceImpl implements ITbUserApplyInfoService
{
    @Autowired
    private TbUserApplyMapper tbUserApplyMapper;
    @Autowired
    private TbSchoolMajorMapper tbSchoolMajorMapper;
    @Autowired
    private TbSchoolMapper tbSchoolMapper;
    @Autowired
    private TbUserBasicInfoMapper tbUserBasicInfoMapper;
    @Resource
    private TbEnrollmentTimeMapper tbEnrollmentTimeMapper;

    @Override
    public List<UserApplyRes> selectTbUserApplyInfoList(TbUserApply tbUserApply) {

        List<UserApplyRes> originalList=tbUserApplyMapper.selectTbUserApplyList(tbUserApply);
        if(null == originalList || originalList.isEmpty()){
            return null;
        }
        List<UserApplyRes> resultList=originalList.stream().filter(tbUserApply1 -> {
            TbSchoolMajor tbSchoolMajor=tbSchoolMajorMapper.selectTbSchoolMajorById(Long.valueOf(tbUserApply1.getMajorId()));
            tbUserApply1.setMajorCnName(tbSchoolMajor.getMajorCnName());
            tbUserApply1.setDegreeCnName(tbSchoolMajor.getDegreeCnName());
            TbSchool tbSchool=tbSchoolMapper.selectTbSchoolById(tbSchoolMajor.getSchoolId());
            tbUserApply1.setSchoolCnName(tbSchool.getSchoolCnName());
            String username=tbUserBasicInfoMapper.selectUserNameByApplyId(tbUserApply1.getId());
            tbUserApply1.setUserName(username);
            TbEnrollmentTime tbEnrollmentTime = tbEnrollmentTimeMapper.selectTbEnrollmentTimeById(tbUserApply1.getEnrollmentId());
            int i = DateUtils.differentDaysByMillisecond(tbUserApply1.getApplyDate(), tbEnrollmentTime.getApplyEndDate());
            if(i<=30){
                tbUserApply1.setRemark("紧急申请");
            }
            long between = DateUtil.between(new Date(), tbEnrollmentTime.getApplyStartDate(), DateUnit.DAY,false);
            if(between>0){
                tbUserApply1.setRemark("该专业目前还未放开申请");
            }
            return true;
        }).collect(Collectors.toList());
        return resultList;
    }

    @Override
    public int updateTbUserApplyStatusById(TbUserApply tbUserApply){
        return tbUserApplyMapper.updateTbUserApplyStatusById(tbUserApply);
    }

    /**
     * @Author : fanxiaolong
     * @Description : 更新
     * @DateTime : 2023/1/30 17:44
     * @param : tbUserApply
     * @return : int
     */
    @Override
    public int updateTbUserApplyProgressById(TbUserApply tbUserApply){
        return tbUserApplyMapper.updateTbUserApplyProgressById(tbUserApply);
    }
}
