package com.ruoyi.system.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.TbUserApplyOperationRecordMapper;
import com.ruoyi.system.domain.TbUserApplyOperationRecord;
import com.ruoyi.system.service.ITbUserApplyOperationRecordService;
import com.ruoyi.common.core.text.Convert;

/**
 * 用户申请操作记录Service业务层处理
 * 
 * @author ruoyi
 * @date 2023-01-05
 */
@Service
public class TbUserApplyOperationRecordServiceImpl implements ITbUserApplyOperationRecordService 
{
    @Autowired
    private TbUserApplyOperationRecordMapper tbUserApplyOperationRecordMapper;

    /**
     * 查询用户申请操作记录
     * 
     * @param id 用户申请操作记录主键
     * @return 用户申请操作记录
     */
    @Override
    public TbUserApplyOperationRecord selectTbUserApplyOperationRecordById(Long id)
    {
        return tbUserApplyOperationRecordMapper.selectTbUserApplyOperationRecordById(id);
    }

    /**
     * 查询用户申请操作记录列表
     * 
     * @param tbUserApplyOperationRecord 用户申请操作记录
     * @return 用户申请操作记录
     */
    @Override
    public List<TbUserApplyOperationRecord> selectTbUserApplyOperationRecordList(TbUserApplyOperationRecord tbUserApplyOperationRecord)
    {
        return tbUserApplyOperationRecordMapper.selectTbUserApplyOperationRecordList(tbUserApplyOperationRecord);
    }

    /**
     * 新增用户申请操作记录
     * 
     * @param tbUserApplyOperationRecord 用户申请操作记录
     * @return 结果
     */
    @Override
    public int insertTbUserApplyOperationRecord(TbUserApplyOperationRecord tbUserApplyOperationRecord)
    {
        return tbUserApplyOperationRecordMapper.insertTbUserApplyOperationRecord(tbUserApplyOperationRecord);
    }

    /**
     * 修改用户申请操作记录
     * 
     * @param tbUserApplyOperationRecord 用户申请操作记录
     * @return 结果
     */
    @Override
    public int updateTbUserApplyOperationRecord(TbUserApplyOperationRecord tbUserApplyOperationRecord)
    {
        return tbUserApplyOperationRecordMapper.updateTbUserApplyOperationRecord(tbUserApplyOperationRecord);
    }

    /**
     * 批量删除用户申请操作记录
     * 
     * @param ids 需要删除的用户申请操作记录主键
     * @return 结果
     */
    @Override
    public int deleteTbUserApplyOperationRecordByIds(String ids)
    {
        return tbUserApplyOperationRecordMapper.deleteTbUserApplyOperationRecordByIds(Convert.toStrArray(ids));
    }

    /**
     * 删除用户申请操作记录信息
     * 
     * @param id 用户申请操作记录主键
     * @return 结果
     */
    @Override
    public int deleteTbUserApplyOperationRecordById(Long id)
    {
        return tbUserApplyOperationRecordMapper.deleteTbUserApplyOperationRecordById(id);
    }
}
