package com.ruoyi.system.service.impl;

import java.util.List;

import com.ruoyi.system.res.UserApplyRes;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.TbUserApplyMapper;
import com.ruoyi.system.domain.TbUserApply;
import com.ruoyi.system.service.ITbUserApplyService;
import com.ruoyi.common.core.text.Convert;

/**
 * 用户申请Service业务层处理
 *
 * @author ruoyi
 * @date 2023-05-19
 */
@Service
public class TbUserApplyServiceImpl implements ITbUserApplyService
{
    @Autowired
    private TbUserApplyMapper tbUserApplyMapper;

    /**
     * 查询用户申请
     *
     * @param id 用户申请主键
     * @return 用户申请
     */
    @Override
    public UserApplyRes selectTbUserApplyById(String id)
    {
        return tbUserApplyMapper.selectTbUserApplyById(id);
    }

    /**
     * 查询用户申请列表
     *
     * @param tbUserApply 用户申请
     * @return 用户申请
     */
    @Override
    public List<UserApplyRes> selectTbUserApplyList(TbUserApply tbUserApply)
    {
        return tbUserApplyMapper.selectTbUserApplyList(tbUserApply);
    }

    /**
     * 新增用户申请
     *
     * @param tbUserApply 用户申请
     * @return 结果
     */
//    @Override
//    public int insertTbUserApply(TbUserApply tbUserApply)
//    {
//        return tbUserApplyMapper.insertTbUserApply(tbUserApply);
//    }

    /**
     * 修改用户申请
     *
     * @param tbUserApply 用户申请
     * @return 结果
     */
//    @Override
//    public int updateTbUserApply(TbUserApply tbUserApply)
//    {
//        return tbUserApplyMapper.updateTbUserApply(tbUserApply);
//    }

    /**
     * 批量删除用户申请
     *
     * @param ids 需要删除的用户申请主键
     * @return 结果
     */
//    @Override
//    public int deleteTbUserApplyByIds(String ids)
//    {
//        return tbUserApplyMapper.deleteTbUserApplyByIds(Convert.toStrArray(ids));
//    }

    /**
     * 删除用户申请信息
     *
     * @param id 用户申请主键
     * @return 结果
     */
//    @Override
//    public int deleteTbUserApplyById(String id)
//    {
//        return tbUserApplyMapper.deleteTbUserApplyById(id);
//    }
}