package com.ruoyi.system.service.impl;

import java.util.List;
import java.util.stream.Collectors;

import cn.hutool.core.util.ObjectUtil;
import com.ruoyi.common.constant.Constants;
import com.ruoyi.common.core.domain.entity.SysDictData;
import com.ruoyi.common.core.domain.entity.SysRole;
import com.ruoyi.common.utils.CacheUtils;
import com.ruoyi.common.utils.ShiroUtils;
import org.apache.shiro.cache.Cache;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.TbUserMapper;
import com.ruoyi.system.domain.TbUser;
import com.ruoyi.system.service.ITbUserService;
import com.ruoyi.common.core.text.Convert;

/**
 * 【请填写功能名称】Service业务层处理
 * 
 * @author ruoyi
 * @date 2023-05-11
 */
@Service
public class TbUserServiceImpl implements ITbUserService 
{
    @Autowired
    private TbUserMapper tbUserMapper;

    /**
     * 查询【请填写功能名称】
     * 
     * @param id 【请填写功能名称】主键
     * @return 【请填写功能名称】
     */
    @Override
    public TbUser selectTbUserById(Long id)
    {
        return tbUserMapper.selectTbUserById(id);
    }

    /**
     * 查询【请填写功能名称】列表
     * 
     * @param tbUser 【请填写功能名称】
     * @return 【请填写功能名称】
     */
    @Override
    public List<TbUser> selectTbUserList(TbUser tbUser)
    {
        List<SysRole> roles = ShiroUtils.getSysUser().getRoles();
        for(SysRole role : roles){
            if(role.getRoleKey().equals(Constants.AGENT_ROLE_EKY)){
                tbUser.setAgent(ShiroUtils.getUserId());
            }
        }
        List<TbUser> tbUsers = tbUserMapper.selectTbUserList(tbUser);
        if(ObjectUtil.isNotNull(tbUsers) && !tbUsers.isEmpty()){
            tbUsers.stream().forEach(tbUser1 -> {
                //性别转换，学生表里面，0代表女，1代表男
                if(ObjectUtil.isNotNull(tbUser1.getSex())){
                    if(tbUser1.getSex()==1){
                        tbUser1.setSexDesc("男");
                    }else{
                        tbUser1.setSexDesc("女");
                    }
                }
                //学历转换
                if(ObjectUtil.isNotNull(tbUser1.getHighestEducation())){
                    List<SysDictData> list= (List<SysDictData>) CacheUtils.get(Constants.SYS_DICT_CACHE, Constants.SYS_DICT_KEY + Constants.BUSINESS_EDUCATION_TYPE);
                    for(SysDictData sdd : list){
                        if(sdd.getDictValue().equals(tbUser1.getHighestEducation().toString())){
                            tbUser1.setHighestEducationDesc(sdd.getDictLabel());
                        }
                    }
                }
            });
        }

        return tbUsers;
    }

    /**
     * 新增【请填写功能名称】
     * 
     * @param tbUser 【请填写功能名称】
     * @return 结果
     */
    @Override
    public int insertTbUser(TbUser tbUser)
    {
        return tbUserMapper.insertTbUser(tbUser);
    }

    /**
     * 修改【请填写功能名称】
     * 
     * @param tbUser 【请填写功能名称】
     * @return 结果
     */
    @Override
    public int updateTbUser(TbUser tbUser)
    {
        return tbUserMapper.updateTbUser(tbUser);
    }

    /**
     * 批量删除【请填写功能名称】
     * 
     * @param ids 需要删除的【请填写功能名称】主键
     * @return 结果
     */
    @Override
    public int deleteTbUserByIds(String ids)
    {
        return tbUserMapper.deleteTbUserByIds(Convert.toStrArray(ids));
    }

    /**
     * 删除【请填写功能名称】信息
     * 
     * @param id 【请填写功能名称】主键
     * @return 结果
     */
    @Override
    public int deleteTbUserById(Long id)
    {
        return tbUserMapper.deleteTbUserById(id);
    }
}
