package com.ruoyi.system.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.TbVersionRecordMapper;
import com.ruoyi.system.domain.TbVersionRecord;
import com.ruoyi.system.service.ITbVersionRecordService;
import com.ruoyi.common.core.text.Convert;

/**
 * 版本记录Service业务层处理
 * 
 * @author ruoyi
 * @date 2023-05-04
 */
@Service
public class TbVersionRecordServiceImpl implements ITbVersionRecordService 
{
    @Autowired
    private TbVersionRecordMapper tbVersionRecordMapper;

    /**
     * 查询版本记录
     * 
     * @param id 版本记录主键
     * @return 版本记录
     */
    @Override
    public TbVersionRecord selectTbVersionRecordById(Long id)
    {
        return tbVersionRecordMapper.selectTbVersionRecordById(id);
    }

    /**
     * 查询版本记录列表
     * 
     * @param tbVersionRecord 版本记录
     * @return 版本记录
     */
    @Override
    public List<TbVersionRecord> selectTbVersionRecordList(TbVersionRecord tbVersionRecord)
    {
        return tbVersionRecordMapper.selectTbVersionRecordList(tbVersionRecord);
    }

    /**
     * 新增版本记录
     * 
     * @param tbVersionRecord 版本记录
     * @return 结果
     */
    @Override
    public int insertTbVersionRecord(TbVersionRecord tbVersionRecord)
    {
        return tbVersionRecordMapper.insertTbVersionRecord(tbVersionRecord);
    }

    /**
     * 修改版本记录
     * 
     * @param tbVersionRecord 版本记录
     * @return 结果
     */
    @Override
    public int updateTbVersionRecord(TbVersionRecord tbVersionRecord)
    {
        return tbVersionRecordMapper.updateTbVersionRecord(tbVersionRecord);
    }

    /**
     * 批量删除版本记录
     * 
     * @param ids 需要删除的版本记录主键
     * @return 结果
     */
    @Override
    public int deleteTbVersionRecordByIds(String ids)
    {
        return tbVersionRecordMapper.deleteTbVersionRecordByIds(Convert.toStrArray(ids));
    }

    /**
     * 删除版本记录信息
     * 
     * @param id 版本记录主键
     * @return 结果
     */
    @Override
    public int deleteTbVersionRecordById(Long id)
    {
        return tbVersionRecordMapper.deleteTbVersionRecordById(id);
    }
}
