package com.ruoyi.system.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.TbWeblinkMapper;
import com.ruoyi.system.domain.TbWeblink;
import com.ruoyi.system.service.ITbWeblinkService;
import com.ruoyi.common.core.text.Convert;

/**
 * 微信，微博，小红书等链接或二维码Service业务层处理
 * 
 * @author ruoyi
 * @date 2023-05-05
 */
@Service
public class TbWeblinkServiceImpl implements ITbWeblinkService 
{
    @Autowired
    private TbWeblinkMapper tbWeblinkMapper;

    /**
     * 查询微信，微博，小红书等链接或二维码
     * 
     * @param id 微信，微博，小红书等链接或二维码主键
     * @return 微信，微博，小红书等链接或二维码
     */
    @Override
    public TbWeblink selectTbWeblinkById(Long id)
    {
        return tbWeblinkMapper.selectTbWeblinkById(id);
    }

    /**
     * 查询微信，微博，小红书等链接或二维码列表
     * 
     * @param tbWeblink 微信，微博，小红书等链接或二维码
     * @return 微信，微博，小红书等链接或二维码
     */
    @Override
    public List<TbWeblink> selectTbWeblinkList(TbWeblink tbWeblink)
    {
        return tbWeblinkMapper.selectTbWeblinkList(tbWeblink);
    }

    /**
     * 新增微信，微博，小红书等链接或二维码
     * 
     * @param tbWeblink 微信，微博，小红书等链接或二维码
     * @return 结果
     */
    @Override
    public int insertTbWeblink(TbWeblink tbWeblink)
    {
        return tbWeblinkMapper.insertTbWeblink(tbWeblink);
    }

    /**
     * 修改微信，微博，小红书等链接或二维码
     * 
     * @param tbWeblink 微信，微博，小红书等链接或二维码
     * @return 结果
     */
    @Override
    public int updateTbWeblink(TbWeblink tbWeblink)
    {
        return tbWeblinkMapper.updateTbWeblink(tbWeblink);
    }

    /**
     * 批量删除微信，微博，小红书等链接或二维码
     * 
     * @param ids 需要删除的微信，微博，小红书等链接或二维码主键
     * @return 结果
     */
    @Override
    public int deleteTbWeblinkByIds(String ids)
    {
        return tbWeblinkMapper.deleteTbWeblinkByIds(Convert.toStrArray(ids));
    }

    /**
     * 删除微信，微博，小红书等链接或二维码信息
     * 
     * @param id 微信，微博，小红书等链接或二维码主键
     * @return 结果
     */
    @Override
    public int deleteTbWeblinkById(Long id)
    {
        return tbWeblinkMapper.deleteTbWeblinkById(id);
    }
}
